2011-05-03  Petr Mladek  <pmladek@suse.cz>  [539b6f114b6039982bb5df1c6193f160dc377cf3]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-05-03  Kohei Yoshida  <kyoshida@novell.com>  [5051d6a1f1e239fb38c60a227046111ec438a518]

Attempt to explicitly get UI locale to en-US during unit test.

But this currently causes runtime exception.  I must be missing
something...

2011-05-03  Kohei Yoshida  <kyoshida@novell.com>  [3bafb2484c8c8e2265514d75363b272d126ce777]

Turn off debug output from unit test file.


2011-05-03  Kohei Yoshida  <kyoshida@novell.com>  [17bf9ff55f2a25aef97881d39f3bb51e3c102bdf]

Added code to test standard query filter in data pilot tables.


2011-05-03  Kohei Yoshida  <kyoshida@novell.com>  [0060509ae519776c5f112aedf3531505e091ab12]

fdo#36771: Treat filter by "filter" and filter by "page" separate.

The new datapilot cache implementation mixed these two up.  I guess
it's best to have two separate flags for these.

2011-05-03  Kohei Yoshida  <kyoshida@novell.com>  [aada201fe2d421c567a21b9903254d25c9b1c9be]

Added another unit test to test filtering in data pilot tables.


2011-05-03  Kohei Yoshida  <kyoshida@novell.com>  [da2c96dbbf4c4e3dc6b0b0e84bf7d4dacaaf5183]

Extracted a method that creates ScDPObject instance from a definition.


2011-05-02  Cassio Neri  <cassio.neri@gmail.com>  [be929acaaa752c3b8754bb0f4ba7013ea44c1595]

Fixed bug regarding zero values not appearing (Bug 36748).

In xmlcelli.cxx line 1093 the result is set only if the value is not
zero. Removing the if-statement fixes the issue.

2011-05-02  Kohei Yoshida  <kyoshida@novell.com>  [45f9a8b3e2f1f4c27099f6dd5f524076fbfff3b9]

Fixed a crash when creating a new datapilot table from external database.


2011-05-02  Kohei Yoshida  <kyoshida@novell.com>  [4b9bdcae93c07262bf3b65297f01aaf30ed3f413]

Typo.


2011-05-02  Kohei Yoshida  <kyoshida@novell.com>  [d7f205fcc0cb2b5fa3be4d3a4ee10df6cf8bf206]

Let's not friend a class just because of one private method.


2011-05-02  Kohei Yoshida  <kyoshida@novell.com>  [21e5faa0756a136ed8431273ccc24b51cb561685]

Fixed indentation and naming inconsistencies.


2011-05-02  Kohei Yoshida  <kyoshida@novell.com>  [80973113dc3694fade12fcd148f8f457e4dbf9c6]

Avoid branching in for loop.


2011-05-02  Kohei Yoshida  <kyoshida@novell.com>  [1ac4e1f0831f75e0f1813e0e0e699bdb65e42ddd]

Pass const reference.


2011-04-29  Kohei Yoshida  <kyoshida@novell.com>  [7006f67d14ac4d4596a0f974dcc44282d6507e27]

Removed unnecessary virtual-ness from the destructor.


2011-04-29  Kohei Yoshida  <kyoshida@novell.com>  [ba633e08bf8cca703576eec2bd6df9c31a263cf3]

A bit of cleanups & annotation of data members.

I'm trying to understand what ScDPCache does exactly.

2011-04-29  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [2c8d99e2c6618fe33631d359d3c2ca3ea2948b49]

Output valid OOXML incl. msSymbol value

(setting it was removed by mistake by prev. patch)

2011-04-29  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [dbc8b7a93bed16df11a16a928a9638f01f73966d]

support export of anonymous db data to OOXML


2011-04-29  Kohei Yoshida  <kyoshida@novell.com>  [0d0fe4085479d0425f7402a3cf478d7f5f9e3aab]

Manage data caches for named range data source separately.

Without this, updating the named range and refreshing would fail to
remove the old cache, which is no longer referenced.  Very bad for
memory footprint.

2011-04-29  Thorsten Behrens  <tbehrens@novell.com>  [fb2ffa4384c138acfb44e73b4bfa2c4ee81992c9]

dlopen-global-symbols.diff: use global namespace for dlopened sym


2011-04-28  Kohei Yoshida  <kyoshida@novell.com>  [c35437991324696da285acd1d09d5b6e3f4ffd39]

Added unit test for datapilot refresh.


2011-04-28  Kohei Yoshida  <kyoshida@novell.com>  [710ca4f56942cf8ad5f4494b2cb30250bf91438a]

Centrally manage cached grid data for data pilot tables.

This prevents cached data from getting re-generated everytime ScDPObject
gets copied, which happens quite often.  Without this, the performance
of datapilot would really really suffer.

2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [bc6f50a0b3b17a983f1a24bcf183bc17ff46badf]

Fixed crash on load when loading doc with pivot table.


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [61db82397810dcfd560561cd5c1cbc871d383131]

n#677917: Try a bit harder to determine the number format of a dimension.

The old code always took the number format of the first member of the
dimension.  We should at least try the first 10 members to determine
what number format to use.

BTW this is just a stop-gap measure; to fix it properly we need to
use a better cache table structure that properly marks empty cells.

2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [51857e89c12604fb3c456594fbbc82db8490bc52]

Prefer empty() over size() where it makes sense.


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [00339ebfa6483b7d631a973e733c2fa27f475ac1]

Let's use the constant in unonames.hxx to be consistent.


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [21948a9a6f7521ccb1183d162176abcf1c82865d]

Put more source local functions into anonymous namespace.


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [e048d227202330cc5a0d32e3efed1230b6e08429]

Fixed doubly nested anonymous namespaces.


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [644f1b1e084949fdb1a6463a7e8e52fc460c28b8]

Moved ScDPOutputImpl into the source file of ScDPOutput.

The point of having an impl class is so that we can hide it in the
implementation.  Let's keep this in an anonymous namespace to keep
its symbols from being exported.

2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [8ca2859d8109912b3a2d0d753812b92fadefb06d]

Killed more sal_Bool family & tabs.


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [a22df6f4076ab97e4ff6f6786ea67150c4047394]

Ugh!


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [b2928ab7a003948848732b4e799d7b3b18863943]

Let's make the class name more descriptive and be consistent.


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [c68838985dbbca58cbcc11cf0b07af325840ddd2]

killed sal_Bool and tabs.


2011-04-26  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [71bfd2d196e8a5e433f5335215d8e81ef9d51e21]

support export of sheet local anonymous db data to excel binary


2011-04-26  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [caa285d1d40cbe42f4c1d0e1038b4937d1e2cedf]

make excel binary import use anonymous db data


2011-04-26  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [be1bdf2d52151f0531a7aa0e0433adcdff536366]

make VbaWorksheet Autofilter work with sheet local DBData


2011-04-26  Kohei Yoshida  <kyoshida@novell.com>  [4fc4f4907792364f8e67ea25eeea2969a4d1201f]

n#689442: Don't forget to create undo object for normal merging.


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [71080f2079e7be6157d1b7f319c614a270442b40]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-26  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [88a31c7413d151bc4206624c4bd14b0c5d2cab17]

fixed problem with return value in ScVbaWorksheet::createSheetCopyInNewDoc


2011-04-25  Kohei Yoshida  <kyoshida@novell.com>  [79ab92c3f4195e4895aae2b7b1a02c3cf0ced8bc]

Fixed layout problem on Windows. It was not entirely platform independent.


2011-04-22  Kohei Yoshida  <kyoshida@novell.com>  [5156507911c329cf6bfe3589f0c0510a4bd98aab]

Excel only allows strings that are up to 32767 chars long (0x7FFF).

And if we exceed this limit even in one cell, Excel refuses to load
the whole document.

2011-04-22  Kohei Yoshida  <kyoshida@novell.com>  [81ad179721d39a99ff958663cd29220f64723ac3]

Fixed address input box to work in R1C1 mode.

Previously, typing a valid address in the address input box while
in R1C1 mode caused an invalid range error.  This commit fixes it.

2011-04-21  Robert Nagy  <robert@openbsd.org>  [af42d3eb066c6b907714436b1ad466490ab185ad]

disable the testCVE unittest for now because it breaks in some cases


2011-04-20  Kohei Yoshida  <kyoshida@novell.com>  [52d4f09d7c99062842f0ec9ccd9bc5951712ae1d]

fdo#36365: Watch out for NULL pointer de-referencing.

This causes print preview to crash under certain circumstances.

2011-04-19  Kohei Yoshida  <kyoshida@novell.com>  [1cb3b92f53612791f09304649ddc224f05d409a8]

Don't forget to NULL the pointer after deleting the instance.


2011-04-19  Kohei Yoshida  <kyoshida@novell.com>  [57ae7e77518af9298797ced36d87ad479339b541]

fdo#33341: Copy print ranges when copying sheet.


2011-04-19  Kohei Yoshida  <kyoshida@novell.com>  [516280f713c8a8356fe894de1144d3758757e415]

Fixed indentation mis-match.


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [ee90e1d3be3f1a328d4042605b61289b40ac490b]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-18  Kohei Yoshida  <kyoshida@novell.com>  [7ab668614570e8bc45caf50a28ec5d2a87bfa691]

More accurate error messages.


2011-04-18  Kohei Yoshida  <kyoshida@novell.com>  [1996fa8117e90519bd74a51a6dfadd947aec7e9a]

New unit test for toggling relative/absolute reference (Shift-F4).


2011-04-18  Caolán McNamara  <caolanm@redhat.com>  [79fc818ea9cbebf4345273c41d2959d1c8f51598]

Resolves: fdo#36128 fix up paths for gbuild


2011-04-16  Kohei Yoshida  <kyoshida@novell.com>  [c5c1064a780f1e94b75e050fc811dc348dfa7dd1]

fdo#36124: Fix relative/absolute toggling in R1C1 mode.


2011-04-15  Kohei Yoshida  <kyoshida@novell.com>  [3a9bb11850250718978d67fbd8e0adbf354d8d68]

fdo#35142: Avoid importing unnamed styles from XLS.

This actually causes undefined behavior since every cell is supposed
to be associated with some style.  One thing affected by this is ODS
export (as described in the bug).

2011-04-15  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [f96c5afd276287d896760e11542918e679069b8c]

fix for fdo#34763 add method Copy to ScVbaWorksheets


2011-04-14  Kohei Yoshida  <kyoshida@novell.com>  [fe8e63ab25a53799fe79a89ee865f03fe2fdf45d]

New test for function evaluation with missing parameters.


2011-04-14  Kohei Yoshida  <kyoshida@novell.com>  [57115e5145eff2031c8ca07427c0245d37bc6641]

Removed an unused argument from a function.  Let's make it simpler.


2011-04-14  Kohei Yoshida  <kyoshida@novell.com>  [55ae621273805d4306fbc54b0a5f8849835d8659]

fdo#34306: Insert a missing token for an ocSep followed by an ocClose.

Turns out that this behavior is more compatible with Excel's own
formula parser, *and* it fixes the error when parsing the test
document from the bug.

With this, we don't have to skip the trailing missing parameters
when importing XLS docs.

2011-04-14  Kohei Yoshida  <kyoshida@novell.com>  [e1aa6471c514402d5ef1d5053b989b38a1f22981]

Revert "fdo#34306: Append fake parameter in case of un-even parameter count."

This reverts commit b45254a0d973e1da278d5e8d269b688628f2603f.

This is not the right approach, as re-saving the document to xls would
mess it up again.

2011-04-14  Kohei Yoshida  <kyoshida@novell.com>  [b45254a0d973e1da278d5e8d269b688628f2603f]

fdo#34306: Append fake parameter in case of un-even parameter count.

GETPIVOTDATA requires an even number of parameters.  But in Excel you
can leave the last parameter blank, which, when imported to Calc, gets
stripped off by the import filter.

Rather than supporting an empty parameter like Excel does, which requires
a bit more effort both in the import filter and the formula interpreter,
let's have the GETPIVOTDATA function compensate for the missing parameter
in-situ by adding an imaginary empty string as the extra parameter.

2011-04-14  Caolán McNamara  <caolanm@redhat.com>  [14ecbe7ce709c5c96a7954aeb611807be25cea9f]

windows needs BRAND_BASE_DIR as well


2011-04-13  Kohei Yoshida  <kyoshida@novell.com>  [62d20f304c0a5dac17b9bad91a0f110257eaf482]

Incorrect index value checking & use operator[] over at().

Take into account that the index value gets subtracted by 1 during
index value check.  Also, the index access follows after a range
value check, so there is no need to call at(), operator[] will do.

2011-04-13  Kohei Yoshida  <kyoshida@novell.com>  [fd02b1477d07ec14247eedd0546e03790af6a087]

Convert OLE links from XLS doc into external ranges on import.

Linked cell ranges that are OLE links to other Excel documents were
previously ignored on import.  Let's import them but convert them
into external references which are more robust than OLE links.

2011-04-13  Kohei Yoshida  <kyoshida@novell.com>  [342d1adaca2f5718561acd945664c2ed74d39f66]

Silly indentation errors, remove friend statement, bool over sal_Bool.


2011-04-12  Katarina Machalkova  <kmachalkova@suse.cz>  [8d2c113480e47de7d556b693fe6354a5734dbeef]

fdo#35345: Don't overwrite hidden cells in drag-fill operation

Also i#89232. Extracting relevant parts from 'calc66' CWS

2011-04-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [9454d7d15855f0afc5a6c6c4361de313346631c5]

cleaning Module_sc.mk after cherry-picking


2011-04-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [d39e9506295b0827ceb60753532008b0d284d36c]

starting sc_ucalc unit test


2011-04-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [b1f359f182bbc9e02a8fbb505f2bda8094944332]

fdo#36128: disabled testCVEs for now in ucalc.cxx as it fails


2011-04-12  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [19fd6416663fce1ff29ed09971c99455653aab48]

reenable ucalc.cxx unittest in gbuild


2011-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [42130baccdff9f114ef89c736d098214557ea72e]

fix a mixup with calling conventions


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [d807ebb5d0012191aa831aa2f8d4e651d1e05ea9]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-08  Kohei Yoshida  <kyoshida@novell.com>  [ae279b6976a212dea9fcd7598bcb8bf1d303e6d8]

Update the source range with data in the pivot cache.

Pivot table's source range is stored in DCONREF record; however,
sometimes the real data range is larger than what DCONREF says, in
which case the real data size is specified in the pivot cache stream.
We need to properly resize the source range in such scenarios.

2011-04-07  Kohei Yoshida  <kyoshida@novell.com>  [e1ccff529659b5bce704790d3f6d85a858ccf0e9]

Forgot to remove printf.


2011-04-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [38e8f09e1562899515276698a0efe3e4f9e804ce]

i#20348: made the ordinal suffixe autocorrection internationalized


2011-04-07  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [38e8127d0184322a02d458974dfb49b52a0d34f7]

fix cast to implementation objects failure from some vba objects

old calls attempting to cast to implementation objects now fail ( and crash on access ) because we now wrap some objects via a aggregation proxy. This patch fixes this

2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [957a56d2dd4f54c41d94fc0fedb3499eb2176db7]

Ported calc-string-number.diff from the build repo.

This change allows string numbers (even fractional numbers) to be
treated as numbers.  Note that fractional numbers are local-dependent,
and the current locale's number formatting is used to interpret them.

2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [ae13588bbeac3dbb3faeedf1f00a27ce1bf54886]

Renamed methods for consistency.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [2b639587aa2520134baac7bff466f4a25efc3d75]

Fixed horizontal alignment issues for vertical text with text wrap on.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [cdaf170aca48b76acbd18bc5d33328d7305c788c]

Branching in the main function to call appropriate sub-methods.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [9b59d1ea17149311d977b4340f78aca85af59967]

Do the same for top-bottom text direction.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [e24afa2a6ee9e4160cda36fdbbffc7b878e21664]

Extracted a method that adjust hyperlinks in PDF output.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [ab144ee269bfa2047421ded14d02d06f6ab2ccc3]

More sharing of common code blocks.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [9c78b98380b1ab244107030042d2ce9cad0cc9c2]

Extracted a method to read cell content.  That code is common in both methods.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [838c39286631e00e1a5bb7882056b1a8bcca6b10]

More cleanups.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [0ba1a4b3a343e990f4dc2af17666d64227542a7f]

isVerticallyOriented() is always true in this method.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [7a472ef52ca806bc5203426c577a8fc6b44a5709]

Asianl vertical is always false in bottom-top orientation.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [c30dcda2d961a790ea01d11c5dbbe79f828dc876]

Remove the code that's not relevant to the bottom-top orientation.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [29cbec27176c8c85c017167fde7f2442fa6c4ced]

First, shameless duplication of the guts of DrawEditStandard().


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [82b322d4ba92d7241da1a74da6707b600954fc9f]

Added empty methods for each orientation.

We can't maintain this monster method that processes all orientations
in a single function.  We need to split it up.

2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [2b188ebff2346e8f960a870a1c87f0dc4f90c17a]

Remove silliness of passing own data members as params to its own method.


2011-04-06  Kohei Yoshida  <kyoshida@novell.com>  [5aeabb0db83b223294b77391822c0c8a16c2e996]

Fixed vertical alignment when the auto wrap is on.

Also extracted a method.

2011-04-06  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [b7365f094d1f02821db5f69efe4919ca1cfcb7e5]

Change accel key for Clear Direct Formatting back to D


2011-04-06  Petr Mladek  <pmladek@suse.cz>  [c795417300fb66479af9c6513f6b8ec1864949f9]

Merge branch 'libreoffice-3-4' of ssh://git.freedesktop.org/git/libreoffice/calc into libreoffice-3-4


2011-04-05  Kohei Yoshida  <kyoshida@novell.com>  [f2f1ab669e562ca5cc51e3c42fc5faf12c55ce8a]

Finally fixed vertical alignment issue. (fdo#33622)


2011-04-05  Kohei Yoshida  <kyoshida@novell.com>  [18b68ff6546a121aed9c3df1bec1c549f8207e1f]

Massive reduction of indentation level.


2011-04-05  Kohei Yoshida  <kyoshida@novell.com>  [134f55a61a286bcb86d5f82a7e0ebe15847f14f7]

More renaming & sal_Bool to bool conversion.


2011-04-05  Kohei Yoshida  <kyoshida@novell.com>  [b8fb20f632fe2dbd749859f13c46da8706d00d96]

Renamed EditAlignmentParam to DrawEditParam.


2011-04-05  Kohei Yoshida  <kyoshida@novell.com>  [fd7c9cc147a22cafc95c951bf029cec7f1b0d163]

Extracted method from DrawEdit() into DrawEditStandard().


2011-04-05  Kohei Yoshida  <kyoshida@novell.com>  [f35052ec0f07f0a61884e178de3a478825baea76]

Tuck EditAlignmentParam class under ScOutputData class scope.

This is so that this class instance can be passed as a parameter to
DrawEditStandard method.

2011-04-05  Kohei Yoshida  <kyoshida@novell.com>  [3d6138f70121ae1a4e7660d7cb75b8bb169ffe7d]

sal_Bool to bool.


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [32dc6bcd3e449c684a461b9e62c392cd25840a18]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	sc/source/core/tool/makefile.mk
	sc/source/ui/dbgui/filtdlg.cxx

2011-04-05  Robert Nagy  <robert@openbsd.org>  [c3cf9bd539ee142d0b04a1772c5ce9c6e8c4b773]

Merge branch 'libreoffice-3-4' of git://anongit.freedesktop.org/libreoffice/calc into libreoffice-3-4


2011-04-05  Robert Nagy  <robert@openbsd.org>  [f211954b68087887720ac982ad65d1d97127d71a]

set ldflags for *BSD too


2011-04-04  Kohei Yoshida  <kyoshida@novell.com>  [b3224d68a67aa6ce85d1e42cde908dc86bbe61f5]

Put statusbar.xml under statusbar directory, not toolbar dir.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [61e32ec187584f418833168addd54131de5ff76e]

Store ScDocument* locally.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [1ff0c03b16e110568b929ea0fa6c061008ef6933]

Extend data area for standard and special filters as well.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [e62f4c67135b87e57a974537d92dc0139f9adc14]

Re-implement DB area extension prior to autofilter launching.

This time store the extended DB area permanently.  This makes things
a bit simpler.

2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [d56eb686eb6c9211f7d9b741b09c1ad5f65698a6]

remove obsolete component_writeInfo methods


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [d9fe8dc867a9a38702a03a6a1bc78a127ab9ca23]

Flag for "shrink to data" not used.  Remove it from the signature.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [1d74574c80d8c14f8768fe7c4b81f896c4137d33]

Removed the dynamic row bits from the db range.  It was a hack.

This concept was there before the Hamburg added their own mechanism
to allow dynamic expansion of db ranges.  There is no need to have
two of them, or it would cause weird problems.

2011-04-01  Petr Mladek  <pmladek@suse.cz>  [da0fa9dbff98e6233872752423d16fd772b6da6c]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [2b3b897b4666b0700a4369eba3efe3c523dc2d4f]

Prefer bool over sal_Bool in ScDBData.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [1380da30270faf72c8f45bb7525e9b855be07864]

Silenced warnings.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [2366721c2edb864bf9754623d645d220321bf24a]

Added bits for subtotals to make use of anonymous db ranges.

This change allows multiple subtotal ranges to be created on the same
sheet.

2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [39af6b13319c49dc7fe252708765651a7c1869d8]

Added container to store global anonymous db ranges.

This is needed to support multiple subtotal ranges.

2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [c86918c76da5ad4458ee2623982b4f1dbecf6dc8]

Finally, export the import mode parameters.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [aeb4a5f2ad4ba756c766b2686b3fffb06980653a]

Import the data import mode.  This concludes the task on the import side.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [95cc42e537332e73bf27746a9cb4360c0ebd365a]

Moved up the user index data member.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [2b23fb8a5ef3424c542936711c58abd11f2ae872]

Cleaned up ScSortParam.

Tabs and sal_Bool madness.

2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [4ad6710509252443407d86c21239a6d7f562b57b]

Import sort paramters for the anonymous database ranges.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [a0f524c3b2eb975bc52f4877e0709de6b9bbebd2]

Convert field positions from absolute to relative upon export.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [efee92582729319c74bea6bca62cc5d37ae419c6]

First cut on exporting sort parameters.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [598f3fc2d59bcd38beb88487959e02a307a5af14]

Let's check the db data itself instead of using the old flag value.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [74af1151d5429a1ebce08e190f1daaab00094343]

Convert field positions from relative to absolute on import.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [208e1b9ac1ad10f6be5eb144e34666a92ac8f989]

Initial cut on trying to import the filtering properties of anonymous db.

Still not quite working right.  Something must be broken.

2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [809b6489c0c536a6dffd7adf216d90a268701029]

Field index must be relative to the first field.

Also, let's not write the subtotal element when there is not subtotal
entries to export.

2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [aa0ed0123bc8b9d54934512bd0275f3511adf06a]

Field index should be relative to the first column index.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [587d711258405afd98629edb7f77cdc43e8dedb7]

Export filter conditions for anonymous db ranges.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [17372f17a6f8203f5b52ac6c2a19f80e76152b12]

First cut on getting ODS import/export of sheet-local anonymous ranges.

The punch lines is that we don't use UNO API to handle sheet-local
anonymous ranges during ODS import and export.  Eventually we should
import the named database ranges using the internal API too, but
for now we keep the current code (that uses the UNO API) for those.

2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [a4b97c2eb268c0f50c1924fa269635948e092144]

We need to delete the old instance before setting a new one.

Not doing so will leak.

2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [cd71e99b4698197e9dc098109a263fd6e4ea6db3]

We shouldn't expose internal-only anonymous ranges via UNO API.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [c8af317a80f34d84aa8d434a5363b75466fbd249]

Reverted space only changes.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [cfdd57376e4c72d74f9318f0d7feae33c6a03d7d]

Check for NULL, to avoid crashes.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [a14bf75eb708e74895725ed933e3f051ec84f9a3]

Let's use a different prefix for sheet-local anonymous ranges.


2011-04-01  Kohei Yoshida  <kyoshida@novell.com>  [953463d575da86b4b311f20bcd77103cc2b7a3b2]

Non-essential change.


2011-04-01  Markus Mohrhard  <markus.mohrhard@googlemail.com>  [e3f6c20d4ab425674382ba164e00bb01cc17cb1c]

Support sheet-local anonymous database ranges.

This is for an Easy Hack to allow one autofilter per sheet, not per
document.

2011-03-31  Muthu Subramanian  <sumuthu@novell.com>  [ca6285bd996927f79772abe442443bc9abd76b49]

Adding scfilt component entries for xlsx export.


2011-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [89e28af5569b553dfb11d7341eec9bbc8ce85930]

Fix windows linking of sc module


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [261796877740acb4cb7187dafd6f7cab52f815c7]

layout-sc-insert-sheet-no.diff: too small input filed (bnc#559445)

the input field for the number of the sheet was too small
in the layout dialog

2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [9682514911fb2e3d99962dbd35d68849b87bdde6]

WaE: struct vs class


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [98f686b0a41877e4656cbff6c92fe4df07e29f24]

WaE: struct vs class


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [6c7472604e2246a0073d08c52a864b92a4899c98]

centralize caserotate


2011-03-30  David Tardon  <dtardon@redhat.com>  [019e19d8b06f6cdda75771bc6cf3180f9017c3ce]

WaE: overloaded virtual


2011-03-30  David Tardon  <dtardon@redhat.com>  [83b655d38778e32e9ba5f8d1f1279ee03d88abc3]

WaE: unused variable


2011-03-30  David Tardon  <dtardon@redhat.com>  [0d25575d548db9e3730f933017f492bc6475f5fc]

WaE: unused variable


2011-03-30  David Tardon  <dtardon@redhat.com>  [5718138c7fbc863f986146de5bbc8e79f854829c]

WaE: unused variable


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [5fc793d0be167eb8b9fdbeee7dfe08bfa26bdd7f]

sc-cellsuno-avoid-early-destruction.diff: avoid a crash (i#90076)


2011-03-30  Norbert Thiebaud  <nthiebaud@gmail.com>  [443a2190c46000ceb61a8eb806a8c0b529ba0eb5]

seems that quite a few xml files are missing in Package_uiconfig


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [3185910943b2612e17efa7c126e85b436461864b]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [1836d19ddcd3a8fc48746f069449b5925b4afb41]

drop bogus executable flag from odf files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [86abb28d623f3ff624492bfd3baacd96148e691d]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [1f8018df3000545988405097735f2052aed041ac]

realpath is not very nice with nonexistent path....


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [4664b35ad80681a285cc59734f1f1987c3ea225a]

use --xxx instead of -xxx for command line options


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [e16b6a4b1317c179eedc019d9351419aa1b06997]

switch sc to gbuild


2011-03-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01b5772eed5c0ae880ec887a2a4dedd490f8b18a]

Fix Windows build of SC


2011-03-29  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [d68ae17f0f4ff5e58f79df59615bd95ce8bbbbfe]

WaE comparision between signed and unsigned


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [560ed720ed9095d604fd5a6d08ba1c7f220c42f3]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Michael Meeks  <michael.meeks@novell.com>  [64721d363337c90459fb98b5e6497e0e7d50fd0a]

make old style match gnumake for vbaobj.uno.so so it matches scp2


2011-03-28  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [e1354a825cabf06bff94bcb79f5d184742ddf837]

Moved SvxBorder* into editeng namespace to avoid duplicate DOUBLE on windows


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [6a63f480243291b933643357ee30b0bfde06eb6e]

migrate chart2 subsequenttests to gbuild


2011-03-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [c55607f709a23d74a0d4556a5455ca1dfa08c560]

fix vbaobj delivery for mac on powerpc


2011-03-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [27e16cd3366672836ef3920d875c1b78a52e62f9]

fix the vbaobj delivery rule for Mac and windows


2011-03-27  Francois Tigeot  <ftigeot@wolfpond.org>  [a4b413036725c9063d0b1e831c2a18b5aa3f79a9]

Deliver vbaobj.uno.so on DragonFly too.


2011-03-27  Francois Tigeot  <ftigeot@wolfpond.org>  [517444c8e1791f681a263f585c8805791bf149fe]

Temporarily disable unit tests broken on DragonFly.


2011-03-26  Norbert Thiebaud  <nthiebaud@gmail.com>  [3b7374a1d5c112019acfbf28fb2700008a931831]

deliver vbaobj.uno.so to harmonize with gnumake naming


2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [28569047f900b7f78a95e05cf0e954f9d6ec3252]

fd#35693: disable hangin subsequenttests (complex and unoapi tests)

 - chart2/qa/unoapi
 - configmgr/qa/unoapi
 - dbaccess/qa/unoapi
 - forms/qa/complex/forms
 - linguistic/qa/unoapi
 - qadevOOo/qa/unoapi
 - sd/qa/unoapi
 - starmath/qa/unoapi
 - ucb/qa/complex/ucb
 - ucb/qa/unoapi
 - unotools/qa/complex/tempfile

2011-03-26  Norbert Thiebaud  <nthiebaud@gmail.com>  [2b338ff6eab5c57081bd234df988570d2b848c81]

fix filter loading: export ScFilterCreate


2011-03-26  Norbert Thiebaud  <nthiebaud@gmail.com>  [8feb3b320e02fe173ce3aff67428630d33fdafe1]

fix debug build. use OSL_DEBUG_LEVEL instead of DBG_UTIL macro


2011-03-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [cfd1183993286da702cc4f52880cd89666a12d36]

gnumake support for calc.

calc build and execute. loading excel file fail

2011-03-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [5458673a831829e300db5c43f00480e48f75edc6]

change location of image ressources


2011-03-25  Kohei Yoshida  <kyoshida@novell.com>  [36eabdcf11e92a0a9c2365d4d28d38598e89eb0e]

Let's not assign an index here, but have one auto-generated on insertion.


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [f99a5e1cfa92d1678ef0273ea937b2969ac0bb5a]

WaE: Index has to be unsigned


2011-03-25  Noel Power  <noel.power@novell.com>  [50db21ff9341da4412e22fef16489d7676f538ae]

take into account streamname and codename needed match casewise

in servuno on loading up vba modules we try to resolve the worksheet objects based on the codename, from the filter's point of view the streamname = the codename and although this is true they can differ in case ( rare ).

2011-03-25  Petr Mladek  <pmladek@suse.cz>  [8d14ccfa596ca739518884d4abb3c1370a0f4566]

set build depencencies against the new "translations" module


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [61e1df38b0d4b20438940a086d56323732d0acb4]

these can go now post types change


2011-03-24  Tor Lillqvist  <tlillqvist@novell.com>  [ef322bb07e121714f23c13c3e5c11de2f36a0270]

Link with VBAHELPERLIB too

I don't know why we need to link with VBAHELPERLIB, it is supposed to
contain just inline methods that get compiled in from the headers and
not needed to be linked with, says Noel.

If it is just here in a unit test, no big deal. If it turns out that
this should and can be fixed in some other way, this commit can be
reverted.

2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [c11dea86c2aade0d983e8930d0491a495f92e84e]

WaE: unused variables


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [8cb0a18f52a78191f377a92bff0923dfa3e618fc]

WaE: consistent struct/class declaration


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [3300232b7f81ac3117203414674b029ac5c894e1]

windows uses BRAND_BASE_DIR instead of OOO_BASE_DIR


2011-03-24  Kohei Yoshida  <kyoshida@novell.com>  [6509a23f409aee0f5d6a1b409597c49ab394c535]

Fix a build breakage on FC11.


2011-03-24  Kohei Yoshida  <kyoshida@novell.com>  [041c6ff2d4732edc659999123899f0b1fd3e14ef]

Select the first checked position. (fdo#31220)

The dialog appears less confusing this way.

2011-03-24  Kohei Yoshida  <kyoshida@novell.com>  [635700f14cd88b38a206f8a8f3b6695012ca7e53]

ScDBData now stores ScSubTotalParam as member.

This cleans up its implementation quite a bit.

2011-03-24  Kohei Yoshida  <kyoshida@novell.com>  [9a65f3d8b6d93d5b08d97c6532d983ddfbc083f6]

sal_Bool to bool.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [ddcc4d4e2d44ebc2c8fa605e6313d84e42b8a96b]

Moved ScSubTotalParam from global.* into own files.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [755f704d23d8ee8b335535613fdf964d55c38c7a]

Removed unused code.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [f3d03c726365f3fb5d7584aa2338605025b25711]

Cleaned up ScSubTotalParam.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [cd8e4f64b4e6f1864af30cc3cfe27e6a23f3706c]

Prefer early return and reduce indent level.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [efd08baa2b5e82353338a26a109d30819aab542b]

Extracted method for subtotals function.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [4a26a8f2b46051138e2662be2fcf446ee3fca075]

These string ID's are no longer resolved. Do as Writer does.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [503bf5d83531f7ad9e3aa1fc8b47975fe2eeb23e]

Remove IMPL_FAMILY macro; this is too much.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [00b879fbf8a33137ef28e90e0693c418979c013d]

Detect error conditions during initial datapilot construction.

Failure to do so would cause an segfault down the road.

2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [035c05d27e544e5f2efe7534224cb97d6e44565c]

Updated doc.


2011-03-23  Kohei Yoshida  <kyoshida@novell.com>  [983ca8104428a2c032a6a170cf249ff176722db5]

Create data cache outside of the ScSheetDPData.

This will create a hook where we can detect error conditions before
going too deep.

2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [b9ad43810c7e3cb335f0bb1317908cadc123121a]

unoxml.component seemed to move


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [f6c64d91f3c62de4d653305a1f696e913970a1bf]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/calc


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [e2dcaa374ba0f0e9947ce9a3b90b8aaa7625d4da]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	sc/source/filter/starcalc/scflt.cxx
	sc/source/ui/unoobj/chart2uno.cxx

2011-03-23  Katarina Machalkova  <kmachalkova@suse.cz>  [62efb7d966646c849fd8effc1aafc6f2a8c3006d]

Useless comments--, FIXME--


2011-03-23  Katarina Machalkova  <kmachalkova@suse.cz>  [26d84b51e73345793312211a3f57570bebd9fc19]

Fixed binary import/export of MSO drawing objects

(related to row limit++ changes - bnc#504623, fdo#32106)

2011-03-23  Katarina Machalkova  <kmachalkova@suse.cz>  [252d25a16106f9094faab962e3ae9069b229f94b]

Fixed binary import/export of formulas

(related to row limit++ changes - bnc#504623, fdo#32106)

2011-03-23  Katarina Machalkova  <kmachalkova@suse.cz>  [2e40464585555490caff8634ce656d8a7aed7645]

Calc xlsx export row limit++ (bnc#504623, fdo#32106)

re-introducing the ability to export sheets with more than 65k rows
which disappeared with shared bin+OOXML filter transition

2011-03-22  Kohei Yoshida  <kyoshida@novell.com>  [966ed5539ea55262144328e01f45c9f9e96a19e7]

Don't auto-adjust date and time values per column width. (fdo#34484)

Actually we want to auto-adjust values per column width *only when*
the implicit number format is pure numeric.  Note that each cell may
have two associated number format types: one that's set by the user
explicitly, and one that's set by the formula interpreter inplicitly.
We need to care for both.

2011-03-22  Kohei Yoshida  <kyoshida@novell.com>  [a706e2c7ce8a7ad8acfcf4b569e426ed4efa87ed]

Let's not clear single cell selection after enter-paste. (fdo#35116)


2011-03-22  Kohei Yoshida  <kyoshida@novell.com>  [0e3b91a37beb71dcc300bba0d83520a65f258e9b]

Added unit test for data area calculation.


2011-03-22  Kohei Yoshida  <kyoshida@novell.com>  [f4939e316d9192d21f667cfc0d396bc9c899a4ec]

Let's check for borders only when calculating printable pages.

The original change was introduced to allow printing of sheets that
only has cell borders without any data cells.  But, the change was
not put in the right scope, and ended up affecting all kinds of
run-time behaviors. (fdo#33621, fdo#33671)

Also fixed some uninitialized data numbers.

2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [3448e6ab92a1f4f4756e99be2b96a9a55f5322ad]

Resolves: #i117506 dodgy lclConvertTimeInterval


2011-03-22  Noel Power  <noel.power@novell.com>  [413e2c47021485a32e5f1c24de6b8ee94178fad0]

get excel vba import to work

use the correct servicename ( seems that is changed in the merge )

2011-03-22  Michael Meeks  <michael.meeks@novell.com>  [665f92bdbbaefb2b7a1fb020eed3933300418810]

fix mis-merge crash related to mis-aligned func. desc. resource reading


2011-03-22  David Tardon  <dtardon@redhat.com>  [6fbf4caf7385d988559701d14ceed7925b76997d]

beware of invalidated iterator


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [a860711298347fb0d260f388ecad7f1286af4312]

get regression test working again


2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [e261f17d4302310fa6eebe8812db3d5782f00839]

port regression tests to passive uno registration


2011-03-21  Kohei Yoshida  <kyoshida@novell.com>  [05ea11a238d608532842ddbc1cbcd81f4d9e8c02]

Fix seg faults on sheet deletion.

Sometimes a simple sheet removal causes segfault in certain types of
documents.  Not always reproducible, but this fix is certainly safer.
(n#680272)

Signed-off-by: Noel Power <nopower@novell.com>

2011-03-21  Kohei Yoshida  <kyoshida@novell.com>  [8f34ffa5677bfc86ef5aa33811955c577f8799c3]

Fix seg faults on sheet deletion.

Sometimes a simple sheet removal causes segfault in certain types of
documents.  Not always reproducible, but this fix is certainly safer.
(n#680272)

Signed-off-by: Noel Power <nopower@novell.com>

2011-03-21  Dózsa Bálint  <dozsa@linux-dugf.site>  [0f3f608ea064d00ffea9c14e7e366615871b208b]

FIX BUG 32559 - calc


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [63357d5068f9a9488950688180b70fe49976ca63]

WaE: nColumnCount unused


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [6a0cc7552f0495a034552317fa501521465b8019]

Fixed the odf import of border in calc: style was missing


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [930df665160f65e82f3a8dde4a279dda0748be80]

Added the new border types to the HTML export


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [51f6846aa349600b30f0e9f2738cfdbbac1865f0]

sc: don't draw the slanted border twice at all tp remove visual side effects


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [5fe50c2a1eb5844aefcc309cea4e109d2a46bcad]

sc: draw slanted borders using the drawinglayer primitives


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3c88ad97e47bb3b5b72df2776fa3361510adba8e]

Using drawinglayer for the rotated cells horizontal borders


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [bf9aaaec78793e1572df1812308c7aae2cb9f4b3]

Use svx::frame::DrawRange with the drawinglayer in calc now


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [fb973aaf5231341d300dc160a3eea7b27a3f4fae]

Switching the order of the SetLinesWidth arguments


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c14c1846e26287bfd2ad586962f75c1e9bbb1103]

Draw nice borders using drawinglayer


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [ccc056a755bbf978889fc1f0e6b8e8e9d03d6001]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-18  Kohei Yoshida  <kyoshida@novell.com>  [f8a398c3fff7b793142686208a008b69c593743b]

Charts' title reference is stored as relative reference. (fdo#35015)

For whatever reason, chart's title name references are stored as
relative references as opposed to absolute references.  Store the
relative reference values to the absolute values since the ref token
helper methods only use the absolute values when joining.

2011-03-18  Michael Meeks  <michael.meeks@novell.com>  [2b268cbf2755cdce62b1fdfbc00a605b74b9a693]

fix array bounds problem that crept in from OO.o


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [c081a27a6a1837924cc404005bf20323fe02baf4]

simplify lcl_GetRelativePos.


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [ff7f4bce6edd5c7e9dc455dd0a1297c1ad1ae311]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/calc


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [fe91a7add78b429b5a47ede2688b6d0bed68a270]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	chart2/source/controller/main/UndoManager.cxx
	chart2/source/tools/RegressionCurveHelper.cxx
	sc/inc/address.hxx
	sc/inc/attrib.hxx
	sc/inc/bigrange.hxx
	sc/inc/callform.hxx
	sc/inc/cell.hxx
	sc/inc/chartarr.hxx
	sc/inc/chartlis.hxx
	sc/inc/chgtrack.hxx
	sc/inc/collect.hxx
	sc/inc/compiler.hxx
	sc/inc/detdata.hxx
	sc/inc/document.hxx
	sc/inc/fillinfo.hxx
	sc/inc/olinetab.hxx
	sc/inc/prnsave.hxx
	sc/inc/queryparam.hxx
	sc/inc/sc.hrc
	sc/inc/scabstdlg.hxx
	sc/inc/table.hxx
	sc/inc/validat.hxx
	sc/inc/zforauto.hxx
	sc/source/core/data/documen2.cxx
	sc/source/core/data/document.cxx
	sc/source/core/data/table1.cxx
	sc/source/core/tool/address.cxx
	sc/source/core/tool/token.cxx
	sc/source/filter/excel/frmbase.cxx
	sc/source/filter/excel/impop.cxx
	sc/source/filter/excel/xename.cxx
	sc/source/filter/inc/formel.hxx
	sc/source/filter/inc/xename.hxx
	sc/source/filter/xml/xmlexprt.cxx
	sc/source/filter/xml/xmlnexpi.cxx
	sc/source/filter/xml/xmlnexpi.hxx
	sc/source/ui/dbgui/filtdlg.cxx
	sc/source/ui/inc/docfunc.hxx
	sc/source/ui/inc/namedlg.hxx
	sc/source/ui/namedlg/namedlg.cxx
	sc/source/ui/src/namedlg.src

2011-03-18  David Tardon  <dtardon@redhat.com>  [48717c7ad8305b6008bbc4e6a2709dae6393bf2b]

initialize member


2011-03-18  Kohei Yoshida  <kyoshida@novell.com>  [f17560c97286d342c3bb3539400bbe3fcbf2be1f]

Fixed data loss during pivot table export to XLS.


2011-03-16  obo  <obo@openoffice.org>  [2e1e4666b895718793821417d54e903611e5fb56]

CWS-TOOLING: integrate CWS chart55


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [6c5bd042ce36e796f16787493842b34249043e1e]

WaE: silence some warnings


2011-03-16  obo  <obo@openoffice.org>  [195be5f6983a898b4cb2488caf4574aa428c4906]

CWS-TOOLING: integrate CWS chart51


2011-03-16  obo  <obo@openoffice.org>  [c2a9ef1c1ad34e14bc3ed60864276f82aa0956ab]

CWS-TOOLING: integrate CWS obo55


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [3e3dcbafa9da0e58705d43613b309413f9ea0200]

ScRangeName doesn't need to store ScDocument pointer.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [cdf81d7b73138c95dd3740749e5ca74fec7b683f]

Common part into an own method.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [4fc55078454e95176f685474abc067f89d0122d3]

Implemented redo.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [1215c7b8fea6e73ebdd5747acfb102e8ddd752be]

Fixed undo, caused by a silly copy-n-paste.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [00796eee6fb1dff10eacf18d8216e4e53bb89d28]

Hopefully implemented the undo part, plus lazy-init the global range name.

Went through the code to make sure we check for NULL pointer before doing
anything with the global range name instance.  Calling GetRangeName()
initializes the range name instance on-demand.

2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [785147972f639a30d27d8250b1e3fad782241748]

Implement undo and redo for real.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [391d644ef56b591d1129ae89fd21b7b3f5aa738d]

Added skeleton for undo of all range names, global and local.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [975517cd167bd24c6780504d37e691414d08ed56]

Implement ModifyAllRangeNames(), minus undo.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [b96a8fb137e8fdf096ca079b49ff97452ba2ee09]

Extracted macro-based method into real method (for better context tagging).

Macro-based methods don't get tagged correctly in my editor which
screws up cross-referencing.

2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [8a0491911cfba949a3042a221a87b3a17eca5a7f]

Store all range names from the dialog to the document.

But I have yet to implement ScDocFunc::ModifyAllRangeNames().

2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [9b2a8698258f038f7590628bf1945f0425bda4df]

Retrieve sheet-local names and populate the dialog with them.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [e9b1e56314015877a36848573bd75ed2e983a53b]

Removed useless comments.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [08f5f0015af2fb0f2ba0955d264aae47e3fc69e4]

More cleanups.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [ce30f0af33d3960a68852a307a15aa364738c872]

Use data member and member methods instead of global and macros...


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [bcbb2af3aa22aeb695f13973e7307fccb51fd481]

Code cleanups.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [3ec91537fd2c3ea4d554cad910166fc51b8dbe2a]

Added new list box for the scopes, and adjusted the dialog layout.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [8d92e67ed3b93965e81b0c9c079d81283560b624]

Removed the old sheet local name mapping bits.

This was there for the VBA code to work around Calc's lack of
sheet local named ranges.

2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [e7ecb70f3a49e905633995cd49a022f3270a4f09]

Get the unit test code to build.


2011-03-15  Michael Meeks  <michael.meeks@novell.com>  [56e47872b07614b673477e4c3055ec8c77d62aaa]

more merge fixes, compiles and links now


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [95f97618f13f4c0f0a4b0ef074c00b243f3e176b]

Some attempts to get the VBA code to build.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [dae79d19d88e41025007dccddae7df8665154492]

Added missing definitions that caused linkage to fail.


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [1a19b7feeac0c903db401daa6b0432a1daf276cb]

Fixed part of the linkage problem due to multiple definitions.


2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [3ad7e3359b1fc6413b3f7d67e69d12a2857a9859]

Fixed build breakages related to HID's.


2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [cd640fca870a05d17fd6a175cd78dffc056e4608]

Got optdlg.src to finally build.


2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [cddb33c17a310fa153ed2ace61d301802c12db14]

Fixed build breakage in sc/util.


2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [d9a93d1a552a8cf3c04ac2c9cccc0e600816d11f]

More on build errors and warnings.


2011-03-14  Norbert Thiebaud  <nthiebaud@gmail.com>  [bbca452dc05d1c1ff8ee0be996153849915edc23]

mis-merge: setComplexColumnLabel now takes vector of uno::Any


2011-03-14  Norbert Thiebaud  <nthiebaud@gmail.com>  [d5df21964afb12e84868e76c02530b19bedc9ac0]

mis-merge: a declaration was moved due to cppcheck, and also changed value

the result is the 2 decalration were in the merge result, the
one with the 'bad' value shadowing the 'good' value

2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [5b8875f0a5a0a167aba80731a2a260e696b57b82]

Fixed pivot.src, while keeping the new Help ID related changes.


2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [a8a2a847af1d2abb7987ccfd5408793df587b9f4]

Adding missing control ID.


2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [b9cf6d5111f9297f5575809d3aaf49f8a2aa2afc]

More stupid build fixes.


2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [0ae6b0350c9380f7aae22c24eedc89f8f9a3329e]

More build fixes in sc.

The breakages mostly caused by *non-conflicting* code changes from
Oracle.  Meaningless variable renaming to reflect datapilot to
pivot table naming change, etc.

2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [523a8f41388f6d938901fd12651c5c499029c291]

Various fixes for build breakages, for sc.


2011-03-14  Kohei Yoshida  <kyoshida@novell.com>  [7967e36a81e406aee18f796e5db7fc4b41da75b7]

Various, mostly mutex-related build breakage fixes & warning removals.


2011-03-14  Michael Meeks  <michael.meeks@novell.com>  [1a176db76f34eb7eeb02ce6612eec7375b238e62]

fix misc merge issues breaking the build


2011-03-14  David Tardon  <dtardon@redhat.com>  [9bc535516802603b08d2e1e401010439702baef4]

make more space for the MoreButton's label

E.g., Japan localization needs it.

2011-03-14  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [25e7b39bad92e1723b8bd804be2dea7b39bf8b64]

making sc/source/filter compile again


2011-03-13  Nicolas Christener  <nc@adfinis.com>  [85fe4aed8b7c870bb2db3557db57f016b79e9552]

translate german comments in /sc/inc


2011-03-13  Nicolas Christener  <nc@adfinis.com>  [fdde95a2d00746a4ac70df7adb44c41eb12fbb28]

translate german comments in /sc/inc


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [d4adf84cf3072c85274fdc154e936bf206fd6808]

OSL_TRACE: Use format string for GetBuffer()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [867c2afe6c4617bfdb3e0325c6448aa3f4dfdfd2]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [4d29882f77d5fc81daf18517bda988871ee5f652]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [cf18b025f3658578e4fbd2c5db92818574bdecf2]

Add missing osl/diagnose.h


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [925889a2a460d14e47a7875316bbdf973dd3cbbe]

Use OSL_DEBUG_LEVEL 2 and add osl/diagnose.h include


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [075c0c48dfd2957e2e2cb0157df6404b30c21d71]

Use OSL_DEBUG_LEVEL 2


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [24d2ab88ba71a8345084fada02422b9670403488]

Fix build: Use format string literals


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [7bee9a9d9c4737813b034c21e5d4c378f2987b65]

Move DBG_TRACE to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [eb2042ebc66bbbb2e8bdc7588466277d8c7ae309]

Move DBG_TRACE to OSL_TRACE for strings GetBuffer()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [065f286c60713eefd52028163f95a1aa5e2b3f76]

Remove unused DBG_TRACESTR macro


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [4f51c384d23fad63b3639cba3295d7bea2acf1ca]

DBG_TRACESTR to OSL_TRACE for O*String


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [dcb409a040b80ba9f422dd78f04ffa78f23a9222]

DBG_TRACESTR to OSL_TRACE for String


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [38628d63963e6b7c0245857d954c9c83e8d1c9ff]

Move DBG_TRACESTR to OSL_TRACE for a OUString


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [84f9c27fb739f03a41b57224958fa30fa6a90540]

Move DBG_TRACE to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [9c735bcc9e195f0197af5fa83ee6de731558841d]

Move DBG_TRACE1 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [78a8c540f55d19c24871ca49bf32c7a3e371b9bc]

Move #ifdef DBG_UTIL to #if OSL_DEBUG_LEVEL > 1 for OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [68d309f065bc534b9eab504339f8bbdbf4bbf197]

Move DBG_ERROR1 to OSL_TRACE for a macro


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [6137cd3ac2ee14a0b01487a1c5d29c3df5474963]

Move DBG_ERROR3 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [cb3d213cb5a563b6894f924c2e87a2d9cdf73508]

Move DBG_ERROR2 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [2b69c6dfeb8417a9a58041f9a4255041fe74544f]

Move DBG_ERROR1 to OSL_TRACE


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [9d1a7c8eabca496475a2b9e07fd762bece2f4a6e]

Move DBG_ERROR to OSL_FAIL for strings foo().GetBuffer()


2011-03-13  Thomas Arnhold  <thomas@arnhold.org>  [74d38f3b04d8f63416be2f4c02914e8f32e33ee9]

Move DBG_ERROR to OSL_FAIL for strings GetBuffer()


2011-03-13  Julien Nabet  <serval2412@yahoo.fr>  [c7f3def981bab8796d6192a206700c980ef2fa33]

Methods can be const


2011-03-12  Nicolas Christener  <nc@adfinis.com>  [486b73ed3428f9694fb7fd74d7f9ea99c2687c69]

translate german comments in /sc/inc


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [f2763830af871e98581d3ca0ad6df06dcb24f836]

A little cleanup.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [0a0258ad178891b3f03f480b2a155fd8813872d8]

Properly export sheet local range names to XLS.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [679f9612c86d5606a103d58a0adf28016d0c8ece]

For now, we only import normal named expressions in sheet local scope.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [b5b6f3075243adc8eef95d9e6930641b6c1c1e3b]

Use boost::ptr_list for list containing heap objects.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [60808f575c2863ccc48f16291994bd1f61f61a56]

Pick up sheet local named expressions during ODS import.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [74c019898e5d7e0d57eac3616eaa3a5bf9211997]

Export sheet-local range names to ODS.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [216523ec3bec47fe8fb1eeee952d7ec1c07dea01]

Reduced indent levels again.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [139c00d5634cb1caf1e2cef5d8c463064f12afa0]

Extracted a method from a giant, mega method.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [9160df2cf05fc2537e6ffe50f47ce4a17d79d2ab]

Removed unnecessary static cast.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [e3b9b8fe998e011dc81c397e6916a45b9dceb6b4]

Reduced indent levels by early bail outs.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [d87fb6627dd95efa2b3a68395f7f83e89fad8d54]

Consistent use of types to eliminate static casting.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [b89365b6fc9f5513c85033dc1bd6cd3a693a7015]

Simplified _ScRangeListTabs and also fixed crashers on XLS import.

Importing XLS documents with custom print ranges caused crash.

2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [a1eaf7cb184e49c92ce0c3385e213dab7fad3e7b]

Copy-n-paste error....


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [7279d186037326fb52d571f12d6a11bb97b08aaf]

Search the sheet local range names as well when compiling formula.

This allows a sheet-local named range to be recognized when entered
into a cell inside a formula expression.

2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [0748019cc5a6804c55df7bde5644e4a6c74f0c37]

Correctly import and interpret sheet local range names from XLS.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [b6e4f6bcfe5f18e36bb94896fa4f479a2ab84dd5]

Store whether or not a range name is global during XLS import.


2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [15cd7ddc5ab24cd183cd298b83f692590fadd8e9]

Store additional flag for global vs local storage of named ranges.

Also, store sheet-local named ranges from Excel into the table
instead of the document.

2011-03-11  Kohei Yoshida  <kyoshida@novell.com>  [3317408d70fad89e5a8b248263010ce28ea8f24a]

Added range name container to ScTable.


2011-03-11  Tibby Lickle  <tibbylickle@googlemail.com>  [e54c3699db11dc1bcc7bd7fa069c9c4124715839]

Disabled auto-complete in Calc filter dialog - fix for bug 34898.

A hyphen character caused auto-complete to kick in, changing the user's choice of conditional operator to "=". This was not changed back if auto-complete option is overridden.

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-03-11  Tibby Lickle  <tibbylickle@googlemail.com>  [35780ad69d9d25cd0ce3e80bc80b9fadb34e19d5]

German comment transation for Calc filter dialog.


2011-03-11  Tibby Lickle  <tibbylickle@googlemail.com>  [3f775efc94aca0fa96fc93e1ad9a08322558d370]

Disabled auto-complete in Calc filter dialog - fix for bug 34898.

A hyphen character caused auto-complete to kick in, changing the user's choice of conditional operator to "=". This was not changed back if auto-complete option is overridden.

2011-03-10  Kohei Yoshida  <kyoshida@novell.com>  [43721d32e078d738495451e0060883274475158c]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101


2011-03-10  Nicolas Christener  <nc@adfinis.com>  [b4b01e62c14d9c0d2f3607b406e9b4c6f007eec8]

translate german comments in /sc/inc


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [e8133a3dc31e15c5e9766ff3979086e3f230666f]

silence some warnings


2011-03-08  Kohei Yoshida  <kyoshida@novell.com>  [7f077d11ff36d8df79c08d00236eae8253188f82]

Simple in-line comment.


2011-03-08  Kohei Yoshida  <kyoshida@novell.com>  [5704038d6bc3f17120907c951777b5cec94ac7d5]

Added unit test for external references.

For now, we just test its caching behavior with in-memory document.

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [9210ccb8cf4d50babe7a3a8bb6445a19d17178bd]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-08  Kohei Yoshida  <kyoshida@novell.com>  [1ebf64611845c4324ddb930d685365b6cb83382b]

Properly invalidate cached sheet XML streams during reference update.

Failure to invalidate sheet streams during reference update caused
formula cross referenceing between sheets to totallly get borked.

The bug was originally reported in i#116833.

Signed off by Petr Mladek <pmladek@suse.cz>

2011-03-07  Kohei Yoshida  <kyoshida@novell.com>  [51bf6bf654860d564e3c5f82ab989b5912252996]

Typo.


2011-03-07  Kohei Yoshida  <kyoshida@novell.com>  [e98dd6643b15a156dbf3574343f3c076ad7ac277]

Properly invalidate cached sheet XML streams during reference update.

Failure to invalidate sheet streams during reference update caused
formula cross referenceing between sheets to totallly get borked.

The bug was originally reported in i#116833.

2011-03-07  Kohei Yoshida  <kyoshida@novell.com>  [fb3202dfb4df995fc0cb08be29e24a8923939193]

New unit test for sheet stream's validity during reference update.


2011-03-07  Kohei Yoshida  <kyoshida@novell.com>  [45d2d1678dd9b4d64fdb2ee8242e06d436353b3e]

More BOOL to bool conversion.


2011-03-07  Kohei Yoshida  <kyoshida@novell.com>  [ca6e1763134fbf786c23a1a46b74588084dfe334]

BOOL to bool conversion.


2011-03-07  Julien Nabet  <serval2412@yahoo.fr>  [05ca8133462680b2ad33665a402948ec981d45da]

First try of removing "using namespace ::com::sun::star::uno"


2011-03-07  Kohei Yoshida  <kyoshida@novell.com>  [62e50b05cb60794dab7d9440044595d0374a7f95]

Duh!  I forgot to loop.  Silly me.

This caused saving of a document to ods to cause a crash unconditionally.

2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [3b8718198bc75a7c0db5998cfc70047b4c340d7d]

CWS-TOOLING: integrate CWS os150


2011-03-07  Kohei Yoshida  <kyoshida@novell.com>  [a200691a5081bb4b1f2008da6e503d73c0c70b85]

Make sure these values are positive; we use them to resize arrays.

This fixes fdo#34350.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-03-06  Julien Nabet  <serval2412@yahoo.fr>  [a0989369a146cfe2e7d98e0617c4472e8c3f1da9]

There were 2 times "using ::rtl::OUString"


2011-03-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [36b14b32711c4bf88eea8a78468ee2f140b2b80a]

Fix windows build breakage


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [9c66eed7a8876b24018c1453ea4c4edd8a05d4a6]

GetRangeAtBlock() to findByRange(), favor std::find_if over manual loop.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [c0fe1adf4688d0b384976990de6409cb5f3adff5]

Fixed a build breakage.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [1b45c153f1712a839bb962e000b5bb147c95ca8a]

Changed ScRangeData's index back to USHORT for now.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [f6988dcce4e8da9c95741d3750d66be520162642]

Renamed FindIndex to findByIndex to be consistent with findByName.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [187336c1bf1de45b4739e24cc1484ea5eb9c89c2]

Removed the Insert() method; let's use insert() across the board.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [8bc312adf347ea3b18512034bdc8db270c4c3e46]

Finally removed the old ScRangeName code for good!

Plus some build breakage fix.

2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [86cd65c85a74b2524a7de82d4b40277cd6846581]

Adjusted ScDocument::CopyRangeNamesFromClip() for the ScRangeName change.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [5b67ac86c0636772e8c8aa2b70ecdbbc33ab6cbb]

Extracted duplicated code blocks into a separate method.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [ca3474ac7e2d849aabf03bac6d13de657bd6127d]

Adjusted ScDocument::CopyRangeNamesToClip() for the ScRangeName change.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [eb194b212acbe665fa44403943caa29578511d08]

Adjusted ScDocument::TransferTab() for the ScRangeName change.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [5df2c05c6723e2065976591c2b6fe726c16296e4]

Adjusted the excel export code.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [37c0dd039ca8a8d3e49028590a0611ff4d5428a1]

Reverted on index handling of range name objects.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [a79a67e074f7b908d8404b774261e93dece287ab]

Adjusted ScSpecialFilterDlg for the ScRangeName change.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [e2aeda6ccfafafb386ba07e5b937fbfab906745c]

Adjusted ScNamedRangeObj for the ScRangeName change.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [37436287dbe797f9137cc81aa34b2660014e9cd8]

Adjusted ScAreaNameIterator for the ScRangeName change.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [aad4f1164a3f66a56bb1c2a821181b2e6eb201ac]

More on adjusting for ScRangeName API change.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [45b851e763affdd1031f7a04f131757ea0e9b656]

More on adjusting for ScRangeName's new API.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [cd3e9ab7002841b8a71043ae6eb3f8043384d9b7]

Added begin(), end() and implemented FindIndex().


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [2753db3283d6bcc96ba955a688119d1ffbe5bfd5]

Identified and tagged all places where I need to modify.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [24d1ad5bd59febb26a7d4f4a1d8363616a0d97d7]

Removed SearchNameUpper() in favor of findByUpperName().


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [7e8270d0b09b6f0e3e69f137bd67aed2308d1761]

Removed SearchName() in favor of findByName().


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [b487837bc5ec8c7893e8110bb7fcba63f50c2e74]

More on re-working ScRangeName.


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [f6e8e4e8da678d223c6f0d78004e2cb280fd1f8a]

More work on ScRangeName re-work...


2011-03-05  Kohei Yoshida  <kyoshida@novell.com>  [e4822042648d3e9077540750ab376838fc19dfee]

Started re-working ScRangeName to use ptr_map instead of own container.


2011-03-05  Caolán McNamara  <caolanm@redhat.com>  [1b692d6327d1c06961408e7ffb86795021988df3]

work around compiler problem


2011-03-05  Christina Rossmanith  <ChrRossmanith@web.de>  [e713cfba3e407248f7b6d20bb232e51ee6c822b9]

Removed /* ### ACHTUNG: Neuer Text in Resource? - lines from calc


2011-03-04  Kohei Yoshida  <kyoshida@novell.com>  [299930bec5091841c19c1394db2803177e7b4b5d]

Unit test for text and text number inputs.


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [467a931a1e0b70fcbd56efa7eb9cf837baa0190f]

Workaround dodgy compiler problem.

Bad parse from gcc-4.6.0 of...
pvfundlg.cxx: In function 'bool lclFillListBox(ListBoxType&, const com::sun::star::uno::Sequence<rtl::OUString>&, USHORT) [with ListBoxType = ListBox, USHORT = short unsigned int]':
pvfundlg.cxx:699:60:   instantiated from here
pvfundlg.cxx:74:55: error: invalid use of 'com::sun::star::uno::Sequence< <template-parameter-1-1> >::getConstArray [with E = rtl::OUString]' to form a pointer-to-member-function
pvfundlg.cxx:74:55: note:   a qualified-id is required
pvfundlg.cxx:74: confused by earlier errors, bailing out

2011-03-04  Ingrid Halama  <iha@openoffice.org>  [68d57351e34095c8c76bd3335e7143879b4b313e]

chart55: #i117183# bad autoscaling for date axis


2011-03-04  Ingrid Halama  <iha@openoffice.org>  [acd06c48a0f3570a709d339656fd6d6fd632ce50]

chart55: #i117185# correct object size


2011-03-04  Kohei Yoshida  <kyoshida@novell.com>  [a5b74a0e3129e1ae72a7a5908038c79650e8398d]

Oops.


2011-03-04  Kohei Yoshida  <kyoshida@novell.com>  [dfbc969ff099ffae187998cfc5ad88fbb52120f0]

Don't strip the first apostrophe from a text input. (fdo#34260)

Also removed the abuse of this behavior during datapilot output
construction.  Thanks largely to the unit test. :-)

2011-03-04  Kohei Yoshida  <kyoshida@novell.com>  [f87a0c0b9e4a98e0ab718377c4d4ab98eece6b37]

Better error output in case something goes wrong during unit test.


2011-03-04  Kohei Yoshida  <kyoshida@novell.com>  [4da227698232f0c9ae58c7feaf8df8c16c8d31a6]

Reduced indent level by early bail out.


2011-03-04  Kohei Yoshida  <kyoshida@novell.com>  [4a9ba0fd709f39d2ec20ed6d8f0ccc780cc11613]

BOOL to bool.


2011-03-04  Ingrid Halama  <iha@openoffice.org>  [fca84d1610316fd21160b36d1ba597f7dd068d8a]

chart55: #i117207#  wrong layout with empty titles


2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [a05213c822ed62256af12690abea62b12aa5dedd]

Check for the value being outside the numeric limit of 32-bit int.


2011-03-03  Jan Holesovsky  <kendy@suse.cz>  [140af7db51086780fafae0984b2b07fb5f8d48d9]

findbar: Add the findbar to the menus above the Search dialog.


2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [600538f2310259b47f0b80458cd2b7dadd253240]

Support external references in a whole bunch of other functions.

GetMatrix() now returns a matrix instance even from external single
and double ref tokens.  Let's use this to easily add support for
external refs to several functions at once.

2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [a8a27b0d95fbb279399c4c36e0ec5294aaa96de9]

Handle external references in LOOKUP, HLOOKUP and VLOOKUP. (fdo#33426)


2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [2933c21a71e1b9761f373f4870cbf7b731e58c31]

Support external reference range for INDEX function. (fdo#34938)


2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [863d358b594750d68f0cbb9692c7f0023589cee9]

I forgot to say that the last commit was signed off by Thorsten.

Commit hash: e301739e4439be4214de0ff9b1bd6c2142d6806e
Signed-off-by: Thorsten Behrens <thb@documentfoundation.org>

2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [e301739e4439be4214de0ff9b1bd6c2142d6806e]

Fixed incorrect cursor navigation. (fdo#33756)

Block selection with keyboard was incorrect when the selected range
included hidden cells.  This also fixes one crasher on block
selection during formula reference mode i.e. type '=SUM(' and select
range via keyboard afterward.

2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [3c9f5bcc67e077448aaade2f0aed597e9afc1326]

Better fix for fdo#31939.

Turns out that the token array's recalc mode is set to "recalc always"
when it contains a volatile token during compilation.  We can re-use
that to mark the token array volatile before the interpretation starts.
The end result is the same, with better performance since we can avoid
re-scanning of the token array.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [2108280e847a78da3cc401dd07dbcfd9bab3e7d1]

Go through all tokens to look for a volatile one. (fdo#31939)

When a volatile token is inside a conditional function (such as IF),
*and* the evaluation of that conditional skips the volatile token
it would incorrectly mark the cell non-volatile.  The solution is
to scan through all tokens in the token array in the beginning of
the calculation and mark the cell volatile if one is found.

2011-03-03  Ingrid Halama  <iha@openoffice.org>  [203e961dd4d845b5a0009b2c541dd1caf92a057b]

chart55: #117185# legend entries get lost after moving the legend


2011-03-03  iha  <iha@openoffice.org>  [516890c9ae37e28cf4b6df41a9c95c6c252a245b]

chart55: #117183# bad autoscaling for date axis


2011-03-03  Kohei Yoshida  <kyoshida@novell.com>  [e23f4a83e9910134cbc61e7bf96f59358e815099]

Added new test for volatile function NOW wrapped inside IF.

Inspired by fdo#31939.

2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [a61620da9c3e13c665d99dc3c8267086c8bfe641]

Better fix for fdo#31939.

Turns out that the token array's recalc mode is set to "recalc always"
when it contains a volatile token during compilation.  We can re-use
that to mark the token array volatile before the interpretation starts.
The end result is the same, with better performance since we can avoid
re-scanning of the token array.

2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [3ac33327631408ddc0025ac87f339e23a5746564]

Go through all tokens to look for a volatile one. (fdo#31939)

When a volatile token is inside a conditional function (such as IF),
*and* the evaluation of that conditional skips the volatile token
it would incorrectly mark the cell non-volatile.  The solution is
to scan through all tokens in the token array in the beginning of
the calculation and mark the cell volatile if one is found.

2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [11ab18f7a10cbd5acc45282f31f881ac4723635a]

Actually this will just do....


2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [8e53354eb45df15635c0bed3cfe2f81ca2c55d3d]

Fixed the "jump to precedents" and "jump to dependents" functions.


2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [6cf6c9f9cc80c739cf12d03c22360487b3a4bc91]

No auto decimal adjustment when in "show formula" mode. (fdo#33665)


2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [1e3b1a7a8c939a0ae08a14d5efdd65b17355dae9]

Make sure these values are positive; we use them to resize arrays.

This fixes fdo#34350.

2011-03-02  iha  <iha@openoffice.org>  [ae94862cfcb00ad0dd0afb6b12d6e4b459ca6f12]

chart55:  #i112752# warning error


2011-03-02  Guillaume Poussel  <gpoussel@gmail.com>  [b366b2d5f42d89a82174c5cb0305cf395cf67c47]

Remove bogus comments.


2011-03-02  Guillaume Poussel  <gpoussel@gmail.com>  [3ddebbeb6539116e082d3f4f82a3b7697f6e971c]

Remove bogus comments.


2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [1fd187ab7cece40aead9f49f189c39865ad8ab4a]

Remove comment that's no longer true.


2011-03-02  Kohei Yoshida  <kyoshida@novell.com>  [0acb3e2bb151dd8cfae5e2c9349d6e0b0297a269]

We need to populate the cache with all sheet names even for in-memory doc.

This fixes fdo#34356 and fdo#34853.

2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [3885454ea4c8fa148c149f32d78aca17c62aa55d]

Remove diff stuff


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [7b3e53b0a2700324492ec36d097cc9e68cdb7350]

Move DBG_ERROR to OSL_FAIL


2011-03-02  Caolán McNamara  <caolanm@redhat.com>  [73788ffb2117bd2f4119281b8d9a0dd6481f8c6b]

confirmed works under windows


2011-03-02  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [84e84966d6d448a6909194d04faa4947f8df0748]

chart55: #i112752# missing data change updates from calc to chart


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [315288c6c3cd53080e849e7544f9623888e81797]

Replaced String with rtl::OUString.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [cb6dca233b895f7436dfae0fc6cc39272a3d99f9]

Hooray!  No more ScfRefMap.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [c242fe82a005562b13bd13b297238dcbb166e134]

Another one on ScfRefMap to std::map conversion.

Is this the last one?

2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [b499711d80eebdc113130c4b763d4782d734ab3a]

More on ScfRefMap to std::map conversion.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [b02def384ffebc3e795a032cf97023273abf16c2]

These ones are best converted to std::map.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [0181f201b9224aa3bd38a95cd7c9b152d5998947]

Another one on ScfRefMap to boost::ptr_map conversion.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [28b5dbeb60efc113759423f8ccbc96de7bf10594]

More on ScfRefMap to boost::ptr_map.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [2d23676462775b1991dadc59c6b13da5ab5cee9f]

Replaced another use of ScfRefMap with ptr_map.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [a2de3f3de0b61f290418dc4e93a9626822474d6d]

Replace use of ScfRefMap with boost::ptr_map.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [4ab693968e8a7a8088324a64a5802dfb0c786a7e]

Moved the widgets a bit and shrank the dialog to make it look nicer.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [ec14a6a5e1d4bd219419e62325585cd7a8cbcafd]

Re-arranged widgets definitions a bit.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [52a6ffdbd8d966a376b0214e2f7f0762e8cea3af]

Put all the other pieces into place.

Now you can specify a named range as the data source for a new
data pilot table.

2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [a2f7b47b8a92fd216106a95b248809ceb8d69cdd]

Initial change to display named range option in the source dialog.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [f6abb7c54078be9000516ab7ff5081b1feba3f6c]

Used boost::scoped_ptr to manage instances.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [b3838a63805c7793d8b0b0b0a2409d93aad70c52]

Extracted datapilot handling code into its own method.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [d9069755c86a7d428bac30531276e2618671e4d7]

Cleanups and comments.


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [1be7697f2d94d5c9e3394a3c345d6ae424ec33fb]

Revert part of cab7e33c which added ';' into the expression


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [403187d408caf5c3a5726c7145b9940b1ca270da]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [bf5da63fe67d07c5a71d6b30ac46913a204138b2]

pointless to go from char* to OString to char*


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [76de0b51d021f32cf92cee75b91c1d3c5028b254]

pointless to go from char* to OString to char*


2011-03-02  Takeshi Abe  <tabe@fixedpoint.jp>  [ce08f0fe367c8a1c24002076e00fb245e31fec79]

Removed dead code


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [77b7e1067482dee05c4447c5e0ec9be9fca8879e]

Remove unnecessary semicolons


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [6e43ce16e6ac835dae31ccebee0171f85568baeb]

We call them field windows. Let's be consistent...


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [d2d2a7069b77369cbb420cdeca16d2109c1be636]

Refresh the field view when the source range changes.

Not doing so would cause phantom buttons in the field windows that
you can see but you can't touch....

2011-03-01  Guillaume Poussel  <gpoussel@gmail.com>  [d417680d6708736313dcf4de8e6b95e121431c5d]

Remove bogus comments.


2011-03-01  Guillaume Poussel  <gpoussel@gmail.com>  [c65576fa3597c4e639263c2e1e02aafefb64f5bb]

Remove bogus comments.


2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [1b02e4c65095b7bc28d179107ea9975a64b1b085]

Check for existance of cache before creating a new one.

Sometimes a cache is passed onto the cache table at construction
time, in which case the cache is already there by the time
CreateCacheTable() is called.  We need to check that.

2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [6078dfb07c575616b75a448a45a0d2a8f08483df]

Renamed ScDPTableDataCache to simply ScDPCache.

There were so many classes with 'DPTable' in them it was confusing.

2011-03-01  Kohei Yoshida  <kyoshida@novell.com>  [22086a78222d3f2084ff50e2a27d8ece7ea3b3ad]

Finally get the refresh to work properly.


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [41bfc272caf2563f4815e48787e2e1827e584313]

Let's rename InvalidateSource() to ClearSource().

Because that's what the method does; it clears all the source data.

2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [d8183c10e09834ec8d89a6de566af8eeab3d27be]

More cleanups.

ScDPObject::bRefresh flag is no longer used.

2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [5f10bd6bd5995fd229fa1a316dee787457a4d43a]

Remove old container that stored data caches.

We may revive this later when we decide to pool the data cache
once again.

2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [919960d66a6d8b0593608b1478aae08ec5717e81]

More removal of cache ID related stuff.


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [4544a34042cd940e763c2607dc3d0e0cbe81da31]

Data cache is now stored in the cashe table object for now.

With this commit, data caches are no longer stored outside the cache
table and managed by their ID's.  Each cache table stores and manages
its own data "cache", but then calling it a cache is a mis-nomer.

2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [768ea092c286d52e4d05616a27f21396cf3420ca]

Remove cache ID storage from ScDPSaveData.


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [405e39052cb25021818b53ada7b7c2b72bbfdb4a]

A little code cleanup.


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [83b8b96825cf54ea088ed66166a7b50c996c0a0d]

Some whitespace cleanups.

Also, n is usually reserved to store container size; let's not use
it as loop counter.

2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [e24f0c8a5899893d5499d04b4bb0c1fe9240f022]

Make sure everybody calls ScDPCacheTable::getOrder() publicly.


2011-02-28  Kohei Yoshida  <kyoshida@novell.com>  [dfc672f151817d6e5d78a9af8ce403e2fac305aa]

Make sure nobody modifies the table cache outside of ScDPCacheTable.

Use const to ensure that nobody modifies the content of the table
cache outside of ScDPCacheTable.

2011-02-27  Jean-Baptiste Faure  <jbf.faure@orange.fr>  [90db49dae7076e255a6f37787492f5206682cb41]

Changed label size and position for BTN_GENERAL_PREC, FT_PREC and ED_PREC

FT_PREC overwrote BTN_GENERAL_PREC so that French translation was truncated

2011-02-26  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [490e6247ab3e759312576f32c6c8f68fa531baee]

WaE: picky about comparison between signed and unsigned


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [f5a46069ff7d073da30f76d7757d92c66cd2d9c1]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-26  Julien Nabet  <serval2412@yahoo.fr>  [c38bb273bd8e0f7c0f26fb85f81818939eed3227]

Remove "using namespace ::rtl"


2011-02-25  Takeshi Abe  <tabe@fixedpoint.jp>  [79fb331ca724cf70300c486df8f64e8c194c14ae]

Removed dead code


2011-02-25  Takeshi Abe  <tabe@fixedpoint.jp>  [2b4814eb792d665644b32ad3d62f45304f390eb8]

Mark fall-through


2011-02-25  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [8883d0964145fd337250ff187c84559257abad59]

chart51: #i116037# backout


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [a5b12344c446d8768e2bce851ca9a889fe780c6a]

remove unused export.map


2011-02-24  Michael Lefevre  <lefevre00@yahoo.fr>  [231e9e3a6746f8e80316b85d77c6e972aef6b1b5]

Remove commented variable

Still code cleaning.

2011-02-24  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [b649f20b197402784db045369409de4e90930577]

chart51: merge with DEV300_m101


2011-02-24  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [8b575d53ff5e37ec4767baa8dea3d3a792b6ed1b]

chart51: #i116037# backout


2011-02-24  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [235e74dfe36390dacc18ed7022aac39fbaa0a759]

chart51: #i116037# backout


2011-02-24  Julien Nabet  <serval2412@yahoo.fr>  [9c2bd745cde4a6d635b0f0083d40f702ce1e66cc]

Remove "using namespace ::rtl"


2011-02-24  os  <os@openoffice.org>  [ecee0eb4d573ea55afd91e60513e06fabd48293d]

os150: m101 merged


2011-02-23  Kohei Yoshida  <kyoshida@novell.com>  [b18023ffbbadd3f72d299f751e50e160667f310e]

Using * for pointer type is better than typedef to FooPtr.

It saves key stroke, 1 for '*' as oppposed to 3 for 'Ptr', and it
saves one line by not having to typedef for a (for pete's sake)
pointer type.

2011-02-23  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [f1a712850474ee725b4e45850b3d3db09e9da5d3]

chart51: #i112773# ensure correct position for equation


2011-02-23  Michaël Lefèvre  <lefevre00@yahoo.fr>  [92ab16cf311400c51b2f297602dd34cc9ffd4ba5]

Remove bogus comment

Simplifie bug id comment, removing bogus comment by the way

2011-02-22  Thomas Arnhold  <thomas@arnhold.org>  [60961f16886ae03317fb2e35218156aa972a3c5f]

Remove Tools -> Media Player from Calc


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [2851cc7baf8defb165e100f303b02e895a4e7fdf]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Takeshi Abe  <tabe@fixedpoint.jp>  [aa33ba2fa28a538e807f0925de5a485706943140]

Enabled backspace with any modifier in case of SC_INPUT_TYPE

fdo#32574 EasyHack: Shift-Backspace doesn't work correctly

2011-02-22  Jean-Baptiste Faure  <jbf.faure@orange.fr>  [a61bdb894a587d6e9aca82b760736c72984a82ed]

Changed label size and position for BTN_GENERAL_PREC, FT_PREC and ED_PREC

FT_PREC overwrote BTN_GENERAL_PREC so that French translation was truncated

2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [3fd3bc922c4c07b027f61bbaf62ffd8686a4b068]

make this one an exception file too


2011-02-22  Tor Lillqvist  <tlillqvist@novell.com>  [55ceee457e67e9e6ac17b13aa2571a8519a5e134]

Include precompiled_sc.hxx


2011-02-22  Tor Lillqvist  <tlillqvist@novell.com>  [72a8c9be07f5babd550ad49253cf81f56bcf787c]

Include precompiled_sc.hxx


2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [1f8d00ab50265e2aad0e316eb8f99b7f057d6f95]

leave disabled under windows for the moment


2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [4547670bb336227bb2ea173934130c9ccf9972fa]

add document load tests for CVEs that have affected calc


2011-02-21  Kohei Yoshida  <kyoshida@novell.com>  [1fea6356b865377b01e8555675606d68864840a7]

Added method documentation.


2011-02-21  Kohei Yoshida  <kyoshida@novell.com>  [f1fcdb78c3d23d30e4719336f445674eab162157]

Use const where possible.


2011-02-21  Kohei Yoshida  <kyoshida@novell.com>  [e2aabf0a02fcd4906892a02be7d6fccd3d8c0a01]

Extracted a common code block into own method.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [4b8c17bf3425b42428476f1df3dda42025d4822c]

[PATCH 10/10] Remove deprecated List container.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [4889aefda0074bb6c579bb3c2a3741f0df6e9816]

[PATCH 09/10] Remove deprecated List container.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [17ebba046721d3f4accea2abce4b4b5e493bfc00]

[PATCH 08/10] Removed deprecated List container.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [547de2df944be664cdcbbb6385b65726d407b638]

[PATCH 07/10] Removed deprecated container List.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [9d5729eaede971de5d96282781c0e505c4439899]

[PATCH 06/10] Remove deprecated List container.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [9c7512f8002e669cbeb966465c660477f375f4e2]

[PATCH 05/10] Removed deprecated List container.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [1bfb5a78e66ba1120ebf026f23e109842b7c303e]

[PATCH 04/10] Removed deprecated List container.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [a84c6e7764c631e8c3d56154e27e37b0dc6e9ed8]

[PATCH 03/10] Remove deprecated List container.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [edab80c4df20dd70ed695a04234edba4bbdbd03e]

[PATCH 02/10] Remove deprecated List container.


2011-02-21  npcdoom  <venccsralph@gmail.com>  [4672b96589b6a8e7eadaaf4bceddee6d8600ee0c]

PATCH 01/10] Remove <tools/list.hxx>


2011-02-21  Takeshi Abe  <tabe@fixedpoint.jp>  [8168a826da6816efd5e3fff9e31c9e3f80180c16]

Fixed a crasher when retrieving an external value from in-memory doc.


2011-02-21  Ivo Hinkelmann  <ihi@openoffice.org>  [d1f80afc91c07594fea31c2c3723dd132630e63a]

masterfix DEV300: #i10000# FALSE -> sal_False


2011-02-20  Takeshi Abe  <tabe@fixedpoint.jp>  [daf9e232f96ed33909b9b3ff0e908aecea5ab0a7]

Removed bogus comment


2011-02-20  Takeshi Abe  <tabe@fixedpoint.jp>  [d1945e9ad601a6ee996ff1449e1d3de41341fbfa]

Removed dead code


2011-02-18  Joseph Powers  <jpowers27@cox.net>  [ad2191bfa6f19a345f2bcd287aa078d7121bde19]

Remove some #include <tools/list.hxx>


2011-02-18  Kohei Yoshida  <kyoshida@novell.com>  [643b5021749450480316f2be65ac3673a6c9cb56]

Removed mis-leading comment.

Life cycle of ScDPTableData is now managed by ScDPObject, not by
ScDPSource.

2011-02-18  Rafael Dominguez  <venccsralph@gmail.com>  [4ccaef7bb732266c3131c4ddb3038e48289cf1fe]

- Remove deprecated <tools/list.hxx> include.


2011-02-18  Kohei Yoshida  <kyoshida@novell.com>  [2a9cb38b4329e54b972c3006e653fc026cd76cdf]

Removed extra ; at the end of a line.


2011-02-18  Kohei Yoshida  <kyoshida@novell.com>  [dd537a4acaf63a1f6cc025f02446f13cd3b5f94b]

Fixed a memory leak in the datapilot code.

Calc was leaking memory every time the source range of a data pilot
table changes. *sigh*

2011-02-18  Kohei Yoshida  <kyoshida@novell.com>  [4f5dedef46bb48b19f063536b3c55cd8e46a9d41]

Properly update column and row header selections. (fdo#34383)

When making range selection by mouse, Calc wouldn't highlight the
new range in the column and row headers.  It was because we weren't
calling ScTabView::SelectionChanged() when the selection range
is updated.  This SelectionChanged() call then puts in queue a
re-paint request for column and row headers.

2011-02-18  Release Engineering  <releng@openoffice.org>  [7d7366d4720d5a519c7bf37c3481c96b9ffdc37d]

merged DEV300


2011-02-18  os  <os@openoffice.org>  [fc5e58b7aaeadc3fc746094dc4b1a44522aa122f]

os150: SvxFontItem member access changed to Set<member>-methods


2011-02-17  Kohei Yoshida  <kyoshida@novell.com>  [f3df9f8674d559d38b638396cd48c9eb8f0ecca6]

Properly update column and row header selections. (fdo#34383)

When making range selection by mouse, Calc wouldn't highlight the
new range in the column and row headers.  It was because we weren't
calling ScTabView::SelectionChanged() when the selection range
is updated.  This SelectionChanged() call then puts in queue a
re-paint request for column and row headers.

2011-02-17  Christina Rossmanith  <ChrRossmanith@web.de>  [c36bd5df398c190681265643679cfb4459f5001a]

Finished to translate comments from German->English (viewfun2.cxx)


2011-02-17  Kevin Hunter  <hunteke@earlham.edu>  [56d472a2d547f1458cedd4f90b4b1cb426fc016e]

cppcheck: remove redundant check.

If pInfo were NULL, would have crashed at the enclosing if-block that
deferences pInfo->nRotateDir.

2011-02-17  Christina Rossmanith  <ChrRossmanith@web.de>  [814870edaf5e308e338dc685dbd3e6e51a915a8d]

Started to translate comments from German->English


2011-02-17  Kohei Yoshida  <kyoshida@novell.com>  [bb1503818fded22fe69edd2082d4b7ed189ef6b4]

Added unit test for built-in cell functions.

For now, I only test for function categories and their order in
each category.  But in the future I might test for argument types
as well.

2011-02-16  Kohei Yoshida  <kyoshida@novell.com>  [3b2042234febaa522950f2f5173515316b3c7e3c]

Create an ScDocShell instance, and take the ScDocument instance from it.

Also, we normally use #include "foo.hxx" style include for module
local headers, to distinguish them from system headers or external
module headers.

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [ff1e38982c92e3d7c4e2bc6667eea02e9f9943c2]

Remove BLC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"BLC - borland compiler (OS2, win16) - obsolete"

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [04fc771611de6f7df325ef72b85c621cf631be7b]

Remove SCO support


2011-02-16  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [d68d96b261d58c931f2ade1b560d06ecba099025]

chart51: #i116544# integrate fix for copy/paste bug #i116943#


2011-02-16  Noel Power  <noel.power@novell.com>  [b83f677c84199756ebe37977f6ba1304d0d7021d]

add copyright header


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [471d1ded7fb48a01b7e5857e950b1d05bab97369]

masterfix: #i10000# TRUE -> sal_True


2011-02-16  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [0a9c27cc8b0ca43ba986b4f64ef6599340f11c22]

chart51: merge with DEV300_m100 - part 2


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [acdfe4e1683b2fabd439ad10b13d6142d386d1c9]

CWS-TOOLING: integrate CWS accfixes


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [7df435ceb05aa42e240a992de5d1720a96a46862]

CWS-TOOLING: integrate CWS csvexport


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [0eb12dbec57938d9c418ead57c403983af033650]

CWS-TOOLING: integrate CWS ab80


2011-02-16  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [c78141214beaa1c8dd2936c4492c76cf07101eae]

fixed compile errors after resync to m100, part2


2011-02-15  Kohei Yoshida  <kyoshida@novell.com>  [01f778c49597172e0c567ecb1f3f4912e04640cf]

More removal of inc/dec recalc level calls.


2011-02-15  Kohei Yoshida  <kyoshida@novell.com>  [673f70f40d1c2745327b179a6cee235ca73a11d6]

Remove this weird recalc level construct.  Let's keep it simple.


2011-02-15  Kohei Yoshida  <kyoshida@novell.com>  [fc405021aacb7f3e371031bdd1ba89b2957b8abc]

Let's hide these definitions from the header, for easier debugging.


2011-02-15  Andreas Bregas  <ab@openoffice.org>  [ab2aee29e144452c6c2980854eaccfe5c354c007]

ab80: resync to m100


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [127e62d7db88c98b88e660b4d28d9adbf11a6cb6]

CWS-TOOLING: integrate CWS dr79


2011-02-15  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [c554b5b803216ebda1dcf58b377b89028f482e1e]

accfixes: merged to m100


2011-02-15  Kohei Yoshida  <kyoshida@novell.com>  [34e2dfe4b11b5128b2c8cb401cb10c1aaacd8105]

Reduced indent levels by early bail out.


2011-02-15  Kohei Yoshida  <kyoshida@novell.com>  [f31c1c268d4051a682bdc9414d346b33e5d16bce]

Fixed an incorrect exporting of row styles.

flat_segment_tree's end position is not inclusive.  Let's reflect that
when checking cached data range.

2011-02-15  Muthu Subramanian K  <sumuthu@novell.com>  [22911947b85db5d18a30c601d390b7d2cb0cfd9d]

XLSX import of duplicate-conditional formatting.


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [d0ac95be319f1c99200c8cf0d9befa81f734ccde]

chart51: merge with DEV300_m100


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [60c76a02145907900050ac497b1e4d4ef0fb3a61]

chart52: merge with DEV300_m100


2011-02-15  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [8c9422fbb2be638dc94feb4f58c390ec79f36c1a]

dr79: rebase to DEV300_m100


2011-02-15  Niklas Nebel  <nn@openoffice.org>  [df33be33ef8135647bf965ee457928cec5d85fe8]

csvexport: merge with DEV300_m100


2011-02-15  Kohei Yoshida  <kyoshida@novell.com>  [96ba54de5f0224d7931ee98dcb0927906e009867]

Unused method removal.


2011-02-15  Kohei Yoshida  <kyoshida@novell.com>  [07d5b8704c0b7030e2c30340053ec02cb04c2f4b]

Use leaf-node search here as well, to avoid tree being re-built.


2011-02-15  Kohei Yoshida  <kyoshida@novell.com>  [02ec2196afa15087d4b8c55a05bd73aa979e8d1b]

Let's use a separate method for leaf-node search.

Let's have two separate methods for tree and leaf-node searches.
It's better this way than turning on and off the tree search via
boolean before and after the call.

2011-02-14  Joseph Powers  <jpowers27@cox.net>  [bd39d2d35a1d10f227250652a920b22c162fcf5d]

Remove some extra #include <sot/sotref.hxx>


2011-02-14  Kohei Yoshida  <kyoshida@novell.com>  [d63f9bf06428d559075e4e097eaf8a844a0b4ed4]

A little cleanup.


2011-02-14  Kohei Yoshida  <kyoshida@novell.com>  [95293e9a9f65d3143550d9d558a37b72098d41c7]

With positional insert, there is no need to do back insertion.

My benchmark shows that positional insertion is slightly faster
than back insertion.  Let's remove back insertion calls to keep
the API cleaner.

2011-02-14  Kohei Yoshida  <kyoshida@novell.com>  [e04a42c7dea497c0a4e6159ed5c33910c16a51ca]

Nailed the filtering perf issue for good. (fdo#33720)


2011-02-14  Kohei Yoshida  <kyoshida@novell.com>  [4817b2ea70a7550e5980ada0f00ae720550581b9]

Use doxygen/javadoc style format for class documentation.


2011-02-14  Thomas Arnhold  <thomas@arnhold.org>  [bd37a1586f15aea59ff5c938e11e0d9d9da37fa0]

Fix typo in copyright notice


2011-02-14  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [7860639471d8da703a3f7fc3412424701a3fbded]

Remove legacy Addin functions from calc

Removes legacy addin functions - seems to be sample code only.
These functions are available through the newer scaddin module.

2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [a2639a46feebd4c1a3c4a689e5ad87778a927935]

WaE: silence this for all compilers


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [d833191f1c007a31d3062c66a25999152e5a404c]

add mode lines to new files


2011-02-14  Takeshi Abe  <tabe@fixedpoint.jp>  [7929f9762be70c3ae923a1617aa0df51f65a0cee]

remove an assignment for a variable unused thereafter


2011-02-13  Thomas Arnhold  <thomas@arnhold.org>  [6b421450cade583bc4bc49cb4e89e0e30408cfcc]

Remove SC_ROWLIMIT_TYPECONVERSION_NOCONVPASS


2011-02-12  Kohei Yoshida  <kyoshida@novell.com>  [39647f4711af6a6d50ff58754004874ec42265ce]

Fixed a crasher during external cell value query.

pFmt is sometimes NULL.  We need to check that.

2011-02-12  Kohei Yoshida  <kyoshida@novell.com>  [e4decda5e2cf3f6cd2a7a41b23fb68ccf91e3f23]

Get correct current position when shift-page up and down. (fdo#34026)

When expanding a selection, we need to use the block end position
as the "current" position instead of the current cursor position, as
the cursor no longer moves during block selection.

2011-02-12  Kohei Yoshida  <kyoshida@novell.com>  [edbb3237d7d15c8ab12dffb62bdced52f709df5d]

Fixed a bug where row hidden/filtered attributes were not saved.

ScDocument::RowHidden() and RowFiltered() takes the row index as
the first argument, not second.  The second argument is the table
index.

2011-02-11  Kohei Yoshida  <kyoshida@novell.com>  [5ca2a313ac769b0d1b1f57d24f60172568a3b9fa]

Cleaned up RowHidden() and ColHidden() calls.

There were two versions of each; let's just keep one and remove the
other.

2011-02-11  Kohei Yoshida  <kyoshida@novell.com>  [63f695b8cf3572c2697abcfe99e2e7d5da923e9b]

Fixed incorrect cursor navigation. (fdo#33756)

Block selection with keyboard was incorrect when the selected range
included hidden cells.  This also fixes one crasher on block
selection during formula reference mode i.e. type '=SUM(' and select
range via keyboard afterward.

2011-02-11  Kohei Yoshida  <kyoshida@novell.com>  [42bcfaf4d19cec2a9053c8e2c29b9157ae931a39]

Get chart2 to build under windows.

There are still quite a few warnings here though.

2011-02-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d7acacedfa6447e357f0409594f6c0a3924fb59d]

Avoid compiler confusion


2011-02-11  Christina Rossmanith  <ChrRossmanith@web.de>  [fa492b9232383f2842b03a99ac51c755933b09ee]

Translated comments from German->English


2011-02-11  Jan Holesovsky  <kendy@noe.suse.cz>  [81aef8e9b57675ce6579b92bfb59e6eb2dbe1979]

Fix build with the hyperlink toolbar removed.


2011-02-11  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [a49de559aaef66f0bfd1b2341bf7bd936ad232a3]

chart51: #i116681# fixed defaults for lights


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [cd9d2e150612c161cd04f3eddc8929e493678ace]

Resolves: fdo#34065 remove unused InsertBlockMark and PAINT_INVERT flag


2011-02-11  Andreas Bregas  <ab@openoffice.org>  [9e232b9aeb7777a6781e31c285c574cdda184bbb]

ab80: Adding changes of cws mib21, ab77, ab77run2, dr77i to dev300

ab77: #163789# Handle class module factories document specific
ab77: #163732# Defer removal of documents until XCloseListener::notifyClosing
ab77: #163808# make VBA symbols Application.ScreenUpdating and Application.Interactive work globally on all documents
ab77: wae
ab77: #163840# read UTF-8 BOM
ab77: #163732# VBA UserForm_Terminate triggered too late while closing document
ab77: minor correction
ab77: assertion: do not call ::rtl::OUString::copy() with negative index
ab77run2: #163869# do not call Class_Terminate VBA macros when document disposes
dr77i: #163941# do not update drawing layer when pasting from clipboard after cut
mib21: #163944# ignore trailing whitespace in Basic source lines
mib21: #163948# allow to manually pack MSVC DLLs into extensions
mib21: #163948# multiprocess build fix
Authors:
Andreas Bregas <ab@openoffice.org>
Daniel Rentz [dr] <daniel.rentz@oracle.com>
Eike Rathke [er] <eike.rathke@oracle.com>
2011-02-11  Takeshi Abe  <tabe@fixedpoint.jp>  [111bb2fedafcb77163adf7895d29e61f0aae7041]

Remove indistinguishable branching


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [69dc6ae701580c9cb5073f49189fd5cfc8254c4d]

WaE: values set but not used


2011-02-10  Thomas Arnhold  <thomas@arnhold.org>  [8bc80cba9c0aa8091794f3176c91a4c7f03fa439]

WaE: Remove unused variables


2011-02-10  Bálint Dózsa  <dozsabalint@gmail.com>  [34737fa7c95f1d09cd1405f0e1731c8a76cc05c4]

Remove some dead code


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [f663a19f9653385500addf5eb6c03dae86296101]

CWS-TOOLING: integrate CWS hr75


2011-02-10  Nigel Hawkins  <n.hawkins-KK0ffGbhmjU@public.gmane.org>  [97c1b1158d2e8e73c9e2b7ccfcfe9643135a8c68]

Remove last traces of SvShorts from sc


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [9e54264a3e5a44bb5627161a11ac9c30d368fc2e]

Remove static if-statement


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fc102f91461a9e9a4ab143f6213984592f1c3573]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e9a648c0276c0df1a6aba3919a713940eab0f8d4]

Removing the ext_std masterpiece


2011-02-08  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [0f6e052f5873fc83bd61bea5a7e9c32afe034d30]

Remove obsolete Hyperlink Bar from calc

Removed hyperlink bar references from calc (removing from apps first).
Menu entry appears greyed out until it gets removed from core modules.

2011-02-08  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [43ed55f6dcbdb8a7cf4cf573c6ca45971fae40d6]

Removed unused functions and classes form calc 3last

Removed unused function and some entire classes from calc.
The functions removed are some of those identified by call-catcher.

2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [9873a919b94d39ae58327c59078343a4944bd7b7]

prewin.h already includes <windows.h>


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [16a917a7f110434e07353d8c7fda8145ec1f6744]

more std:: -> o3tl:: build fixes


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [4d99badbbdbb2b48dd3451115e5ce034327adb4a]

Clean-up bogus comments in calc.


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [9b1ae08c4fbab2e93a350bd2bc3ea7d238f5f3a6]

Adapt to move of prewin.h and postwin.h


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [5b0209b525d535fbf0483ca207e612d6984bb749]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Carsten Driesner  <cd@openoffice.org>  [08332b36175750c7bdee8ce197eeb0371cf11e66]

removetooltypes01: Fix build problems after rebase to DEV300m99 in basctl, cui, reportdesign, sw


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [891131ec80c83a05030c9459af1d2b8cceea3e52]

rewrite the one use of std::iota


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [86f13a6c1b4a51ae1c7ab90fd2fd9e4457ed0ccc]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	sc/source/core/tool/token.cxx

2011-02-07  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [721a433b6284cf06b478e1bf4a014423d8b69b2f]

hr75: #i116747#: remove pre-OSX Mac resoure fork definition files (*.r)


2011-02-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [a4f3dfc96c9155abedf6887f52eeed819f4e7bab]

chart52: #28670# make the legend within charts resizeable - part 9


2011-02-07  Mikhail Voytenko  <mav@openoffice.org>  [560f4e84d23d457d563337bc72df33025cd13645]

removetooltypes01: #i112600# adjust rebase in chart2, starmath, sc, sd


2011-02-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [b9eb3a31a64c114101eae71422b423a1ea8aacea]

chart52: #28670# make the legend within charts resizeable - part 8


2011-02-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [c782d5a03da3e01573716bb7721148b7eff37e20]

chart52: #i68029# show mean value line in the legend - enable delete key


2011-02-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [5d3fed1dfe7b01f0c451e666985d63d471c1cc14]

chart52: #i82802# bigger legend keys for lines and dashes, but not for symbols without lines


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [7ed5e2490997f3f7af4da5fa2d12fc6a0b03e866]

removetooltypes01: Rebase to DEV300m99


2011-02-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [53016e761325c1c62fa305728018ccd3472d0419]

chart52: compiler warning


2011-02-07  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [97f133bba89b4f8491c368296c8597751df8994c]

dr79: #i116757# default name for pivot tables


2011-02-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [1b33c162715429b3312b2fd60e0ba7926806f7ff]

chart52: #i89539# remove term 'Regression' from legend


2011-02-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [dc8f46f6c0982fa81bbd3462c854db4da2898191]

chart52: #i68029# show mean value line in the legend


2011-02-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [2ef9bfb662ce8770e36f057750d00b5d5eea9781]

chart52: #i82802# bigger legend keys for lines and dashes


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [d79101229a99ae05f28d6eb331390625e01d70ac]

Restore nCursorHideCount from 8e606ee6c597b86


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [ffca887e15937da2807ca4803b7b033408083d89]

Remove dead code


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [bc7ef12b714a58afc09d6befa28695b2986f2999]

Migrate DEBUG to OSL_DEBUG_LEVEL


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [dc54f86dede1a66ea21c652d56702f863980edc1]

Use OSL_DEBUG_LEVEL > 1 instead of > 2


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [488bf0bb7f2641f4b67609b650011dc92a8a4996]

Remove nested OSL_DEBUG_LEVEL


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [b5d60f6e07e73721aee7321471cd6ed056ca6455]

Fix build.


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [ce06fd381b2ede968ce4e87827ab3b6bb4fe3dd9]

Remove empty methods

DrawCursor()
DrawAutoFillMark()
Remove nCursorHideCount because its useless

2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [ac3b2c407b8a850925aa6ea7f6a382290ba493cf]

Remove dead code


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [53f87e616f9b0b80cdc8c54ff05a42feccdf6bd0]

hardcode MDDS_HASH_CONTAINER_BOOST


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [05f98e4e0977d5c544d015a1457fe2c0abeeac3e]

add a missing include


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b2a3c38abae7a14aeed795066c157421d57724d8]

port repository calc to boost unordered containers


2011-02-05  Julien Nabet  <serval2412@yahoo.fr>  [300a5352e781ed6137b37bb1b8941a004c046b22]

Some cppcheck cleaning


2011-02-05  Julien Nabet  <serval2412@yahoo.fr>  [edb738c85d3cea1121473b9826c138fd6794691b]

Some cppcheck cleaning


2011-02-04  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [b988ac04c268fec80392ce6fa981455492f41aea]

chart52: cleanup unused legend entry stuff in preparation of issue #i82802#


2011-02-03  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [b1212e187a54e9865a41399e39e08817164d6fe9]

dr79: change scrolling to entire rows/columns in all field windows


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [97108cefedb26b46352cad27fb7c1548911f7d85]

CWS gnumake3: resync to m99


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [b19e8c9e95d8aaf71867aac7393ccc154b368fd6]

gcc 4.6.0 various warnings


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [7a1f4b31b28eb60cb3b0f258057b84f60712e48b]

chart52: merge with DEV300_m99


2011-02-02  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [84dba636e8bfeff35ae9703c0528ce8bb5248eaf]

Removed unused functions from calc 2

Removed some more unused functions from calc as identified
by call-catcher.

2011-02-02  Kohei Yoshida  <kyoshida@novell.com>  [bf8510b0b8839b60531578620ad4b2efb01684e5]

Disambiguate nested if statement blocks.

No idea how the parser parses that block, but I made the branching
explicit, as interpreted by the way the lines are indented.

2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [3b9f9800e6c3b9074539112b8846a0cedb0f7443]

WaE: throw out some warnings


2011-02-02  Julien Nabet  <serval2412@yahoo.fr>  [17c9543ed8c4f36fa1c35396397d761eabc84eae]

Some cppcheck cleaning


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [1024dbd1f9121b91c8aa6586db62ed303849c5d8]

Fix CDEFS definition.

Set it after including settings.mk because this file resets CDEFS.

This one enables VBA_OOBUILD_HACK, so we need nCount in a higher scope.

2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [015d6d5737fd57bddba17426600fd911b6ae428b]

Clean up makefiles


2011-02-02  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [8594c03e53d22a71d7b55f6fcae9f17d4ba63a1a]

chart52: #28670# make the legend within charts resizeable - part 7


2011-02-02  Vladimir Glazunov  <vg@openoffice.org>  [e6281d7a25f4ddc5f954d1460aa907123be3a825]

#i10000# WAE: initialize variables


2011-02-02  Vladimir Glazunov  <vg@openoffice.org>  [2b3abc281e45762d1f9724a035050d04c144d3ca]

#i10000# WAE: initialize variables


2011-02-02  Kohei Yoshida  <kyoshida@novell.com>  [3722370b9ba57cce28c3dbc182f2d011f3c5596b]

Prevent selected field index from going out-of-bound, to prevent crash.


2011-02-02  Kohei Yoshida  <kyoshida@novell.com>  [9c3b635bce41f1d9b74cb4364a425ae9448fc4e4]

Ensure that the selected field is displayed when the selection moves.

In the DataPilot main dialog, Set the selected field in the data
select area to the one at the lower right corner, and press 'r' to
move it to the Row field.  This causes the selection to move to the
next field in the select area, but the selected button was not shown.

2011-02-01  Julien Nabet  <serval2412@yahoo.fr>  [019f8611a913e9eba1029a8e342a4d782b3ad3f8]

Some cppcheck cleaning


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [50e18987a80376e5874bbf0ca08e726dd90bece0]

Clean up makefiles


2011-02-01  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e62699f6339a9a076cea518e0f542397a0ae5515]

chart52: #28670# make the legend within charts resizeable - part 6


2011-02-01  Kohei Yoshida  <kyoshida@novell.com>  [9959161d60a86e0fc7b667054ceb6de5029e6a71]

Alt-Down should do the data select popup by default. (n#666060)

As with other default key bindings changed from OOo's default to
provide familiarity for Excel users, we should assign Alt-Down to
the data select action by default.  The legacy binding will continue
to use Ctrl-D for this.

Also, when the cell has autofilter button, it should launch the
autofilter popup instead.  That was a bug.

2011-02-01  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [a30ce37b91b92f4ed2c366e01c8e827a219bd61a]

chart52: #28670# make the legend within charts resizeable - part 5


2011-02-01  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [9e899c8aed313068588819bbb43442e480a393ee]

Call-catcher: removed unused functions in calc

Removed unused functions from calc using the call-catcher list available
in Easy Tasks (first batch).

2011-02-01  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [b0d593403138b3215a1f926a325dcc72a544cd7f]

dr79: do not duplicate all fields when changing source range


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [e698eb6136fa5f7cf4824b775b0a14693151fddb]

Remove unused files.


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [483cd29f3bae702c7a1f51254240883f9bc06b07]

Remove DBG_INVALIDATE


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [5090a019629d7df89b906ee6887d856f8f394403]

Remove LOCATION_PAGE and tp_Location


2011-02-01  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [d6586bd0546c759b6c4af642b33db0a45762d4a5]

dr79: ignore focus events from sub dialogs to prevent similar problems


2011-01-31  Kohei Yoshida  <kyoshida@novell.com>  [000bc293630164213aa5051d71c04febc0bf038c]

Use OUStringBuffer in case we need to modify string after creation.


2011-01-31  Sören Möller  <soerenmoeller2001@gmail.com>  [7f3bbc606e14affbba8acecf650d3430f0591ed6]

Replaced tools/string with rtl::OUString in ScDPSaveData


2011-01-31  Kohei Yoshida  <kyoshida@novell.com>  [750e245c50ac0bac25305ed579bd3cc80963e916]

Remove unnecessary string copying.

When the original code creates a String instance from rtl::OUString one,
it's not good to create yet another OUString instance from the 2nd
String instance.  Use the original OUString instance directly and
remove unnecessary string copying.

2011-01-31  Sören Möller  <soerenmoeller2001@gmail.com>  [0533d11984dc8d8bdfd767a2def5026be02fc423]

Replaced tools/string with ::rtl::OUString in ScDPSaveDimension

Changed comparisions and calls in different files

2011-01-31  Sören Möller  <soerenmoeller2001@gmail.com>  [ba9be812e3dca9f499d2aa91705925c1f40d8323]

Replaced tools/string with rtl::OUString in ScDPSaveMember

Corrected comparison with return value in dbfunc3.cxx

2011-01-31  Sören Möller  <soerenmoeller2001@gmail.com>  [c33ee8fe31afb5f9be82c23b7cb3a00ea668a114]

Cleaned up spacings in dpsave.hxx/.cxx


2011-01-31  Sören Möller  <soerenmoeller2001@gmail.com>  [80a133359f60768f7eaff3a98c9ecddac4b2c2b1]

Replaced tools/solar.h types with sal types


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [355de7dc39478b617109b5a593320b32d6e9092e]

WaE: various new gcc 4.6.0 warnings


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [49341212a7137c2427891c2ea7f91b1b2fc855a6]

WaE: various new gcc 4.6.0 warnings


2011-01-31  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [cdf39093134273d6ccd2e4cde1b7a91106d4fb4b]

dr79: crash when using push buttons in pivot table layout dialog


2011-01-31  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [4d03c2b223b84c27fd459009cbc271d1b017cd80]

chart52: #28670# make the legend within charts resizeable - part 4


2011-01-31  Vladimir Glazunov  <vg@openoffice.org>  [3726cd3d3e5e1bc0cd20d9c6fb4232b2dc2600fc]

CWS-TOOLING: integrate CWS chart46


2011-01-31  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [92662b0e648455b0da5cadcafbb8fe32437a8b24]

chart51: merge with DEV300_m97


2011-01-31  Thies Pierdola  <thiespierdola@gmail.com>  [1296b0c57a7e831c8c64cc6db5edf432db3d1d5a]

Removed include of tools/string as no longer used


2011-01-31  Thies Pierdola  <thiespierdola@gmail.com>  [54a1e91f9097e14fe6fc94b4dff0941a8c59f80e]

Replaced use of tools/list by std::list


2011-01-31  Thies Pierdola  <thiespierdola@gmail.com>  [fb5d156ad8faffc5968ef5093e2c76f4218973c4]

Cleaned up spacings


2011-01-31  Thies Pierdola  <thiespierdola@gmail.com>  [2f64ef03f54fac096d2f1f46629f5453f55b539f]

Replaced deprecated types with sal types


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [40b3706b885630290203ae348916fbbf7d065ee7]

WaE: various new gcc 4.6.0 warnings


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [aa31794794b6d65c79a7d4f8cabfe2646a6db1df]

Remove double line spacing, unused code and some unnecessary brackets.


2011-01-28  Kohei Yoshida  <kyoshida@novell.com>  [2f4dcbe19d3e423db5ccfd129013f833f0cfbb12]

For some reason STLPort didn't like assigning list to vector.

The code is correct & should work, but for some reason STLPort didn't
like assigning list's data into vector via assign() method.  Luckily
ctor assignment and swap did the trick.

2011-01-28  Thies Pierdola  <thiespierdola@gmail.com>  [406fb636d4365482079c9cd083476aca87406242]

Replaced tools/list by std::vector in ScFunctionList

As the random access Get is called a couple of thousand times each time
a spreadsheet function is used, the use of vector should have a huge
performance gain.

2011-01-28  Kohei Yoshida  <kyoshida@novell.com>  [7f19978536dba6e81058524548ff42b61af54d20]

Fixed build break and a memory leak.

* Some standard functions needed explicit qualification ::std:: in
  order to build.
* The 'dummy' object is created on the heap but never deleted at the
  end of the call.  We need to delete this when we are done.

2011-01-28  Thies Pierdola  <thiespierdola@gmail.com>  [24028cef0e5b537d1bd4e8803e312370536b18f4]

Comments for private variables in ScFunctionMgr


2011-01-28  Thies Pierdola  <thiespierdola@gmail.com>  [d1f9dc15d862ab98a0456f364712c494cb8cecee]

Replaced tools/list with std::vector in ScFunctionMgr and ScFunctionCategory


2011-01-28  Christina Rossmanith  <ChrRossmanith@web.de>  [b32ed85498c6a3e8622dd22af02715cc4e35d21b]

Removed some whitespaces


2011-01-28  Christina Rossmanith  <ChrRossmanith@web.de>  [73c2a5c51fa9b1c0ccb9c0a0f80e0b89f26fd98f]

Translated comments from German to English


2011-01-28  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [c98464c12853d3156350abc2af072dac2cd6b54e]

chart46: merge with dev300m98


2011-01-28  Nigel Hawkins  <n.hawkins@gmx.com>  [2fd05bbb79e847d1331be1243367ea14ace674a6]

Replace SvShorts with std::vector


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [24a1e2ab1fdd8824449708b90d23f78181c76ba2]

Replace empty equalsAscii() with getLength().


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [cb36f9dfc7c1f17c275987271dc5376281ab8d0e]

Remove SC_CONVUNO_HXX. This should be done by convuno.hxx.


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [6358ebdd4ea3ff51d3449f8977889a04dfbc5eca]

Remove SC10_SHOW_OBJECTS.


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [a723c2e0a539bc8977f1fdb4a6db4260eba2b5a4]

CWS gnumake3: kill ENABLE_VBA


2011-01-28  Mathias Bauer  <mba@openoffice.org>  [a9c491deaca9f645d915313b94705db20ee6392b]

CWS gnumake3: more fixes for problems caused by crappy vbahelper headers


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [e4324cb9bdde38e2d4c96795b9953532dc2e6e6c]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f8046cd3eb89264245d20dccdade3b1367f788b3]

undoapi: pulled and merged DEV300.m98


2011-01-27  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [533934131584614b75ecb592b773c9cbe3e03c4c]

chart52: #28670# make the legend within charts resizeable - part 3


2011-01-27  Jani Monoses  <jani.monoses@canonical.com>  [d4d6a678bf169eebee2fe4d71c8ec66de6898d6e]

Remove unused declaration

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-01-27  Niklas Nebel  <nn@openoffice.org>  [d9c1ae54f751c7c9e601a229461f8f4ff34f1e36]

csvexport: #i116636# option to leave out unnecessary quotes in CSV export


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [f56e42b46dd9bda8cfff1fe09b6318353999f2bd]

WaE: gcc 4.6.0 various warnings


2011-01-27  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [22fee896a06add7305cee5c8b2a3210d7290e101]

"Default Formatting" -> "Clear Direct Formatting"


2011-01-26  Sören Möller  <soerenmoeller2001@gmail.com>  [910b4c4855385b9f29561f373ddab57b2c45e4fd]

Added check for empty rRangeList in ScViewFunc

This fixes a crash, which occured when the sum function was called, without
beeing able to generate an automatic range.

2011-01-26  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [3a1e21ff72b54f69bfdc923f73a97983ef7159e8]

chart52: branch merge


2011-01-26  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [146826bb04f1c64fc1940aa4a0b7ad2bd0e8511d]

chart52: #i28670# import/export of manual chart legend size from/to XLS


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [ae1ae396bd7ad8b00d2f27bcde7a2a600e0b9497]

WaE: gcc 4.6.0 various warnings


2011-01-26  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [ecb606787108897ab58878884de060ad199628bb]

chart52: #28670# make the legend within charts resizeable - build warning


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [01666e23f66d43b5ea94f3562305dea52becd470]

WaE: gcc 4.6.0 various warnings


2011-01-25  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [57f242185c7fdd9b37fa91c68c92d0d682a3d801]

chart52: merge with DEV300_m98


2011-01-25  Christina Rossmanith  <Christina Rossmanith>  [38f08469c102b6777d98cc121c2f654f4565a1ed]

Translated comments from German to English


2011-01-25  Christina Rossmanith  <Christina Rossmanith>  [3d34169044cf4b292c0158b5384b780e59ec0d28]

Translated comments from German to English


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [8397c3d0a1150aa6fb3c447317d08d05e07a1731]

Minor type tweak to fix x64 Windows compilation error


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [e0124f67b4d4c3e12b58926f2147b29a735e0f4f]

Add an informative message


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [feec71be785fa27ccec8378c295e0c42f7914ced]

CWS gnumake3: resync to m98


2011-01-25  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [067f99674c4df523070558fc6a542463722d365c]

chart52: merge with DEV300_m98


2011-01-25  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [28a04a80fa9f0bf2c688c70ac5bf57626de3bd23]

dr79: unx compiler warnings


2011-01-25  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [e5b24ea4ef6f1dc78455e422de0e94c3378869e7]

dr79: #i5759# use Window::RequestHelp() instead of Window::MouseMove() to show full field name


2011-01-25  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [ee736612a61bba91a50e6485cdc73ccc72622880]

chart52: adapt to changed API


2011-01-25  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [9fc8723cbdf60cfaa1a885bb03249e1995014fb0]

emoved lines of code that were commented out.


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [ee87a18a3b2b3c58726abfef66c87f05dd98d161]

WaE: gcc 4.6.0 various warnings


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [8a3140bfb8de7ed0cf4a0fe698d3515f8ba2313f]

WaE: gcc 4.6.0 various warnings


2011-01-25  Christina Rossmanith  <Christina Rossmanith>  [798e84912d75ed3b663a04af2b1bcf379cb1cadc]

Translated comments from German to English


2011-01-25  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [dfcf3bb028e280ebd8bc1bf67d8cb1b2318e7d68]

dr79: rebase to DEV300m98


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [b3542de32f60a2ea892dfb45ef76165b1d7c3c6a]

#i10000# #i10000# changes from OOO330 m20


2011-01-25  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [e96fc31fd7b1b28b13db41990eff4ce0b58d7fcb]

dr79: rebase to DEV300m98


2011-01-24  Sören Möller  <soerenmoeller2001@gmail.com>  [56498044c62080bd353d9f9e89906dea1c159407]

Added doxygen style comments to ScFunctionCategory.


2011-01-24  Sören Möller  <soerenmoeller2001@gmail.com>  [a59ac09d7e174ea4c87de99516db4c3d046b1995]

Added doxygen style comments to ScFunctionMgr and ScFunctionList


2011-01-24  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [b515faa7f820ecf680367befae5ade97d6fb5a8e]

dr79: #i116540# change 'DataPilot' to 'Pivot Table' in Calc GUI; recover lost changes in resource file pivot.src, remove unused code


2011-01-24  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [6084d8c108177e96e7acf056f0c78dcb7425f13c]

chart52: #28670# make the legend within charts resizeable - part 2


2011-01-24  Carsten Driesner  <cd@openoffice.org>  [1ca0185fd48e42929c1bbc6db9b0ab728d28d4c9]

removetooltypes01: adjust rebase for Linux


2011-01-24  Sören Möller  <soerenmoeller2001@gmail.com>  [ae3fa9dc9b77af15f99acba1690da7ced58bb5ad]

Cleaned up spacing and comments in funcdesc.cxx

Additionally translated some german debug messages

2011-01-24  Sören Möller  <soerenmoeller2001@gmail.com>  [2d25c3ec8cace3ba8aef806e60235ac872641652]

Removed local duplicate implementation and used ScFuntionMgr's instead

Removed a duplicate of ScFuntionMgr's fillLastRecentlyUsedFunctions
in ScFunctionDockWin and replaced its uses by use of ScFuntionMgr's
implementation. Moved definition of LRU_MAX to header file

2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [43cd488840131fc2b30e1606ddc6504666e27a43]

WaE: gcc 4.6.0 various warnings


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [9d34f532a38853a82b86512f1f90364c4edaa0f3]

Remove OLD_SELECTION_PAINT.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [14e8b16d4f9dd0ef3a484f7bfd7f6c86fdddc7fc]

Remove DEBUG_CHANGETRACK.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [24a4aac837d5973027704162c6d7185877d52b72]

Remove OS2_DOCH_NICHT.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [cca589c315a27b90a2090db8bb32fc8bbfdd52a5]

Remove CHART_ADDRESS_CONV_WORKAROUND as it is activated anyway.

Description of CHART_ADDRESS_CONV_WORKAROUND:
Chart always stores cell range addresses using CONV_OOO convention. But
if parsing with CONV_OOO fails, try parsing it using the current address
convention.

2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [fea75c9c04257e8ac03eeea7baa5d860671e98ad]

Remove erGENERATEMAPPING directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [fc162b7fe774b3f6c1b7c811c957e97588f81173]

Remove erDEBUG directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [1f7140b7d72ce511c3c3d5029d6ddfef3bb81d5c]

Remove erBEEPER().


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [b0fda66a77eb268ded77c7bf37466e877adfb575]

Remove NOTYET directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [e6ea6a8385f3ad8d251676c5041bb950ce03a0bc]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-24  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [c3c9acdfbb530d8b8cc7d9ec9769aa8799ec6c2a]

dr79: #i5759# extend pivot layout dialog: support for unlimited number of fields in all areas


2011-01-24  Mikhail Voytenko  <mav@openoffice.org>  [441c6bc27c7f1e1c50c0ff77e79c805a83129dde]

removetooltypes01: #i112600# adjust rebase for windows


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [d19316fbbc2b34dd4170d98821685eda1f8c6538]

Use a similar .gitignore as in other directories


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [e1914928cc655aa88330406121ba5aef57ad9f84]

Include the wntmscx build directories


2011-01-22  Kohei Yoshida  <kyoshida@novell.com>  [09a427943cc52f38814bd17f7fa164b1af1949af]

Disable recalc on source change & don't copy the dp object too much.


2011-01-22  Kohei Yoshida  <kyoshida@novell.com>  [1f1cfac93332828f79e1ef677d2487d7731741d3]

Refresh dp cache after the source range changes.


2011-01-22  Kohei Yoshida  <kyoshida@novell.com>  [f4abc88f9758ae6dcf5fca4c5a283a1b1187a4bb]

Removed commented out code.


2011-01-22  Kohei Yoshida  <kyoshida@novell.com>  [9cb409d0b06da3983574e5f32ec8dae3518c23ba]

Removed debug code.


2011-01-22  Kohei Yoshida  <kyoshida@novell.com>  [34cc4a426661a8e6fa9760f0b7ec17f16a646623]

Merge branch 'feature/dp-named-range-source'

This change implements named range support for data pilot tables.
(n#654526)

2011-01-22  Kohei Yoshida  <kyoshida@novell.com>  [df17b73a6c2d647587c6329f8c2f46c3aa0c47cd]

Comment for the new method.


2011-01-22  Kohei Yoshida  <kyoshida@novell.com>  [5d6de3aaa7650ed0bfe8040f680eb57899d94414]

Export range name data source back to xls document.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [9f49336d7df0b051cd60217fe9e929125650da4d]

Take care of importing pivot tables with range name from xls docs.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [6a7304ee5777b404f0de160d9c29d0aa9564a3b6]

Import source range name properly from ods document.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [cbaf9eb3d076e9e7b3c42d398ad429e06535e177]

Reduced indent levels again.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [2a8e03313c52c4c1fe793a85caf2d444149fa6c1]

Save range name to ODF 1.2 extended.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [f7d439573c61df684bb7e08ca9b5cb10acefec1a]

Reduce indent levels by early bail out.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [db6e01c44f61c3095c0368e32c5a24f2af420cf5]

Properly display range name in the UI when appropriate.

DataPilot main dialog now displays range name properly in lieu of
the traditional raw range reference string if the source data range
is referred to as a range name.

2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [6e6f818ebace4f62a82d3db3b2a5e541c6159613]

Get source range from range name if exists.

Now the data pilot table calculates result from a range name if
it's there.

2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [7c67b616852a806d296d9a5866eb4c74ddcd1f66]

Several of its methods now don't need to take ScDocument* as an arg.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [4176f290e0fcf5af57692498ddcfa5a405dc4846]

Let's store ScDocument* in ScSheetSourceDesc.

This class already uses ScDocument* a lot internally. Let's just
take the pointer to the document instance in the ctor and store it
inside.

2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [42caa46f5e05c138df0fd28f5f7e51cb909139e2]

Early bail out on error conditions, to reduce indent levels.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [307e75d13ec1cbe0788dc2dfc1c5313c6d9e2e98]

Now all its data members are private.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [3ffdf8c54889295f84aec2ba94c47bb66f496558]

The range name data member can safely have private visibility.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [3c796bd3a6ae37a47a2bf81fffe9bab5c703f4ae]

Encapsulated access to aSourceRange.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [cb3527334ebdb0f5d8b265a7335f17f37902d04b]

renamed CheckValidate() to CheckSourceRange(), and cleaned it up.


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [16f42489559dae67ac99e66e847f9ddf9a348e75]

Fixed the failure to update table when hitting OK in the dialog.

Modifying the source range of an existing data pilot table was not
updating the table output because the data cache was not refereshed.

2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [4255ad871ab9566f00545278f873b295155df157]

Fixed the failure to update table when hitting OK in the dialog.

Modifying the source range of an existing data pilot table was not
updating the table output because the data cache was not refereshed.

2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [7bfe9976e007b92e86082ec2802845c76bf7ce09]

accfixes: reverted one change in sc


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [b1f0cd4a74d5bc190fa78505c6b0ee4c839e0fc5]

removetooltypes01: Rebase to DEV300m98


2011-01-21  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [1b66cfb60146535df73b76aa0eaf708bb53f6010]

accfixes: global resources need id greater 256


2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [96bee1507119ca0525845022019d90f0694996aa]

Fixed incorrect page number in page preview mode. (fdo#33155)

When the window is large enough to show several 'Page X' strings,
the page number was not properly incremented.  This commit fixes
it.

2011-01-21  Kohei Yoshida  <kyoshida@novell.com>  [ed46df1fcb5869818f5f74e0c7a5b19c65102e83]

Fixed incorrect import of cell attributes from Excel documents.

When a cell with non-default formatting attribute starts with non-first
row in a column, the filter would incorrectly apply the same format to
all the cells above it if they didn't have any formats.  This commit
fixes it.

2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [c4229f8c42185883471daa3ad60a891542205020]

Remove old RCS lines.


2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [b6734b453ec636aff3cb14535da24865c9d66d9a]

Fixed incorrect page number in page preview mode. (fdo#33155)

When the window is large enough to show several 'Page X' strings,
the page number was not properly incremented.  This commit fixes
it.

2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [0bf9e51919d131e7c9b03d5a781468b46d262c08]

Store the data source type in the UI as we validate the string.


2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [8f7e6f23f63355e3180bfef14e604fd57e33cc64]

Added range name as a data member to ScSheetSourceDesc.

Also added accessor methods for all its data members.  I'll properly
encapsulate them later.

2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [e194b1992ffa892205b0823bcc9cb037334916ec]

Debug datapilot refresh.


2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [301644a9cbc5eb1df6123ab3e31bd69e4453846a]

Check the source range string to see if it's a valid range name.


2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [c0459d1fe6c607e203f089489bb83588e4223709]

Started investigating.


2011-01-20  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [cca9d869df2819054779f5b7bc54275de7da60cb]

accfixes: added more accessibility information and fixed tab orders in multiple dialogs (sc module)


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [792321095f149b21fa8cb61583817d5cf73a5f32]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [6090092db505e6ae07e29944651926db12329c38]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/calc


2011-01-20  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [f636c6270362159a89e051c69a52047cd4c70fae]

accfixes: added more accessibility information and fixed tab orders in chart


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [c2f8267e5ada2419acbcf4bf2b98d1ab08fb77f9]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [bc0d4b98ca2fe626dbdfa170c6a7618fa67d369c]

Blank line cleanup.


2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [d73cc7750bf562153c06d578b1c4419a72ff2117]

Finally, the inner arrays of DataGridType is now ptr_vector.

Also, no point resetting the value of data member in destructor.

2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [c2379675cdc4d95b1ff43566cfbd56cdf4bb8f84]

maLabelNames now stored in ptr_vector.

Thereby further elimination of manual deletion of stored instances.

2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [746b86631d89085732052279743d823bafdf1c91]

Let's use ptr_vector to replace arrays of vector's.

This eliminates some manual deletions of vector instances.

2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [e79e0be8527666caf7c11ff6e6fc7a8cac931fa8]

Let's use real values to make it easier to read.


2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [4707861e839679dca8b119246a51c10b422e5acd]

Let's hide this ugliness inside the remove-erase idiom.

So, since I can't rely on the iterator returned from vector::erase(),
and I can't keep the iterator of the erased element (which is probably
invalidated after the erase call), I have to erase elements by
other means.  Luckily this remove-erase idiom doesn't cause a segfault,
and appears to do the right thing.

2011-01-20  Kohei Yoshida  <kyoshida@novell.com>  [9bcecbb876aa8a4a9e3aa6371dbddb3f29345518]

Don't rely on the returned iterator from vector::erase(itr).

The standard specifies that when you erase an element in vector via

vector::erase(iterator)

it returns the new position of the element after the erased element,
or the end position in case the call deletes the last element.
*But*, the stlport version of vector returns the iterator that points
to the position where the deleted element was, which may be correct
if the vector is not empty after the delete, but if it's empty it
points to an invalid location.  So, if you have a loop like this

vector<myclass> vcon;
...
while (itr != itrEnd)
{
    if (some condition to trigger removal)
        itr = vcon.erase(itr);
    else
        ++itr;
}

the standard says it should work, but with stlport it leads to a
surprise ending when size() == 1.

2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [b70937f47e062ac87bf15bb2f69498e8c140bd5c]

Removed the ugly stlport workaround code.

It's too ugly for me to live with.  I'll find a better, and hopefully
cleaner workaround.

2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [1a14a77ed3d240efa8548c35c1ce84f38d4d231c]

Removed warnings regarding the control ID's being too large.

Let's just use 1, 2, 3, 4 ... values instead of 1000, 1001 etc. just
like the rest of the dialogs.

2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [7ac067f9a6d8914b6dfe796c4bca1ffa286b1b43]

Check the content of datapilot table output during the unit test run.


2011-01-19  Thomas Arnhold  <thomas@arnhold.org>  [290710800fa7cf89d79eb59a1d8d5c35b1ccda3c]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [8398a997bc3955ad372f87ce3875109debf4dabf]

Print a nicely formatted sheet content to stdout for pleasant debugging.


2011-01-19  Thomas Arnhold  <thomas@arnhold.org>  [e78b3f26aec485c0db81957a2a151e12e792dad0]

Remove some more '//static' lines and useless comments.


2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [e36ee18534b50d58207b8930e6c37fdea26f8555]

CollatorWrapper is now working during the unit test.


2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [9932e2dad520525122396bf9f9674d847a16a2ae]

Ported calc-formula-db-function-fix.diff from the build repo.

This patch fixes n#594332 and n#595713.

2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [04ce03b43c6175a05c45a858b661422e34911206]

Re-enabled the sheet copy test now that it passes.


2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [5745a72b0359bac41d63c85c94b0a538148c3be2]

Reapplied 8839ada2ba12033f1c7d7ab23f59353e036dbbb2.

The above referenced commit, which originated from OOo's calc64 cws,
was applied before but the latest merging of the libreoffice-3-3
branch reverted this.

2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [25e6b6cba03a72d472a74768c00053e886859a93]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	sc/inc/document.hxx
	sc/source/core/data/drwlayer.cxx
	sc/source/core/data/table2.cxx
	sc/source/core/data/table3.cxx

2011-01-19  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e7fd9da35ec0e23b2922a3c83f1dce142d5ba38b]

chart46: #i25706# implement date axis - #i116467# change behaviour of own data table


2011-01-19  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [37da6a8a8794a4054d143570f14cc1dcd9f5cfbd]

chart51: #i103864# Data labels overlining


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [5867bc6e3e67cf3a7217df542367985084dac493]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [76cb46b671d9236e1abe342a526a12962037dfaa]

chart46: #i25706# implement date axis - #i116467# change behaviour of own data table


2011-01-19  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [6b198ac13338f124d718381dacecafba97124373]

chart46: add missing explicit dependency to offapi


2011-01-19  Kohei Yoshida  <kyoshida@novell.com>  [1459e2ba9e441d55c57345130a7c6f3353fa967a]

Fixed incorrect import of cell attributes from Excel documents.

When a cell with non-default formatting attribute starts with non-first
row in a column, the filter would incorrectly apply the same format to
all the cells above it if they didn't have any formats.  This commit
fixes it.

2011-01-18  Kohei Yoshida  <kyoshida@novell.com>  [0b370a117297af90c021c56fc360c1208f897146]

Fixed a crash on export & cleaned up a bit.


2011-01-18  Christian Lohmaier  <lohmaier+libreoffice@googlemail.com>  [43ff5f69452a0609245cc59cfb63c40a7da10eb1]

WaE patch for sc.


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [3dae8c192c6fee4806e890bd0dda9a948ef8879b]

Better cell anchoring. (fdo#33205)


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [58ca8ab942de8fba4f37e1fca5e5fde2d8f0d8ae]

Remove useless comments and some dead code.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [074946a48c4bafa583e7048c43951814a50ba92d]

Remove commit message. Thanks to zhaosz and weihuaw.


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [d1bfcf499528764661be7e05a8883513fd276813]

Removed some dead lines, dates and commit notes. Thanks to liuchen, limingl, minz@cn.ibm.com and Amelia Wang for their commits!


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [f5f57a7bea1b0668dad5b84c1ed68d13508338d8]

Some more dead code removal


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [40815e82184a117275fb130d2e82799248830fba]

Remove some more dead code


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [dc205fe9d10305dcff17e0e4c3f2130344eb5119]

CWS-TOOLING: integrate CWS fwk162


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [d004030f1b4c02b308228112a0a1bcf275c7abed]

CWS-TOOLING: integrate CWS chartextensibility


2011-01-18  Thomas Arnhold  <thomas@arnhold.org>  [fc7c9eb7e8fae1df33f9124b1d5d5fa403bd7ccd]

Remove dead code: "//static" and "//virtual"


2011-01-18  Kohei Yoshida  <kyoshida@novell.com>  [95b05dbbe16e2d17f2ed58518b942f6159203a22]

A little follow-up clean-up.

* pre-increment over post-increment to keep cppcheck happy (when you
  modify for loop).
* rtl::OUString initialization optimization.
* removal of the old GetFuncDesc() method which no one used.

2011-01-18  Sören Möller  <soerenmoeller2001@gmail.com>  [9a544cb3a0d1767970119732c396db239c31cb9a]

Replaced deprecated types in funcdesc

Replaced String with OUString, USHORT with sal_uInt16 and ULONG with sal_uInt32 in sc/inc/funcdesc.hxx and sc/source/core/funcdesc.cxx. Added a OUString version of FuncData::getParamDesc in sc/inc/callform.hxx and sc/source/tool/callform.cxx and used it in funcdesc. Translated some comments and changed some indentations on the way

2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [8a8024dca9a1214897b9fc8e3bf5dbddf3bc8a1a]

fix build breakage


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [4faf0c6c214789116deb8abe387a4c30cb6b3fb8]

remove remove-useless-'add-for-...'-comments


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [13f70f93cc01d453766ee19bdd7681c57c2b6ee9]

Remove a useless elsif statement


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [5457b43d6e7c29941f7d6e2ea003e7f709460110]

Removed some bogus comments 'Added by PengYunQuan for Validity Cell Range Picker' and some dead code.


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [d466de38ca10614446351a22c62d3fec82a138c8]

cppcheck: close bracket


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [51a97371151bd6b94ae820416c296fad6f59b890]

cppcheck: remove unused variable 'pEditSel'


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [fd75ebf26bb3447487f56a732538a14bb04b9d19]

cppcheck: reduce scope of variable 'nTab'


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [60c37c74d69fb0e82d4ffc3772af5da810f86d81]

cppcheck: remove unused variable 'bChanged'


2011-01-17  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [84779bb513c0e9a3da9660ce9aac0414602dea19]

Removed bogus comments from calc-chart2

Removed bogus comments from calc/chart2/accesibility and .../chartapiwrapper

2011-01-17  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [316c8f86b7038a161c41db4bdbd625577c3fa36f]

chart46: #i25706# compiler error after rebase


2011-01-17  Thomas Benisch [tbe]  <thomas.benisch@oracle.com>  [d637bfe271e13faa1b708cb72ff6ede58bcbf6fb]

#164360# Pivot chart gets no update if sheet is moved


2011-01-17  obo  <obo@openoffice.org>  [790335316b45af63c2cf79799019f54aabc72ff1]

CWS-TOOLING: integrate CWS calc65


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [0be296498fd28ec043a892af245726e8a2f31864]

removetooltypes01: #i112600# Merge changes


2011-01-17  Mikhail Voytenko  <mav@openoffice.org>  [9ebb52084f9a9f87389366d9680760c23d6ce57b]

removetooltypes01: #i112600# remove tooltypes from sc


2011-01-17  Ed Dean  <topround@gmail.com>  [b6ee7aa7b2f0ec511b8e6b1337969b91a1e16975]

removal of dead code


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [4f2291c7c9ae770b70f53323bc07453227879362]

Remove some dead code


2011-01-17  Thomas Arnhold  <thomas@arnhold.org>  [c03b7938120ae52caf80ad723a085ddee9d5f6e6]

Remove some dead code in 'view'


2011-01-16  Thomas Arnhold  <thomas@arnhold.org>  [f77fba80747f30092b2e1f39ed6de8cf9fe15088]

Correct bracket closing.


2011-01-16  David Tardon  <dtardon@redhat.com>  [cb5b062057140c4fbaaf1240b7474925b51d1a85]

fix debug build


2011-01-15  Kohei Yoshida  <kyoshida@novell.com>  [6f7b1eeaade5e7adbf602cea497913b1369bbaf1]

This is the right way to go about this.


2011-01-15  serval  <serval2412@yahoo.fr>  [b6b454081d8f292fd6657023671d0e99b30db20b]

Remove some dead code


2011-01-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [5f1550dede6342d1029618c6e0d46e22b28e4edc]

chart46: merge with DEV300_m97


2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [1039649b648c5c40092c629de47a84cffa555cbf]

Very unfortunate workaround for stlport, to prevent crash.

When using stlport, ptr_vector crashes when calling erase when the
container only contains one element.  In such cases, calling clear
instead won't crash.  Very ugly, but what can we do...

2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [1cb096dfbc62f05809f99e86eb4c223e911a444a]

ScDPObject no longer has to be a child class of ScDataObject.


2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [59857f3108e63e7399c4b4b8d035e9f3c576b91f]

Test on collator, which fails only during the unit test run.

The data pilot test relies on the collator being available.  But
for some reason it's not.  We need to get this working during the
unit test run in order to be able to test many other calc
functionalities.

2011-01-15  Tor Lillqvist  <tlillqvist@novell.com>  [7aa796a826a6e1fa605cdf8e780ea17efaaedf65]

Undef ERROR after including <windows.h> to avoid clash


2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [57ba4f93b717ca2638db9ec433bb0df47e2c18ec]

More on datapilot unit test.

The table creation fails because the Collator is not available during
the unit test run.  Need to investigate this.

2011-01-14  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [3fc7dbadd28c1d3b2be4a133ef1590d21112d0a3]

chart46: #i116468# scale tab page - better fallback after wrong input


2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [48df8956cc7caf35b791e58e0e93aa5a107b47b9]

More progress on unit-testing datapilot.  But I'm still not through.

I'm not being successful with getting all dimension members shown.
I must be missing something.....

2011-01-14  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [388b34dc70f3c3e42bea099b85ab9c00960b1f1b]

chart46: #i25706# implement date axis - #i116467# change behaviour of own data table


2011-01-14  Topround aka Zathuras  <topround@gmail.com>  [f53b5282bfc5bb2133a5052b97046d74fc752df9]

Remove commented out code

Also remove else blocks that were then emptied.

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [d0c714e4d43c06705686156c66817234a1f70206]

removetooltypes01: #i112600# remove tooltypes from chart2


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [73fa256319ff398e74445563fd60209fc34f8126]

Can't use RTL_CONSTASCII_USTRINGPARAM on pointers


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [377c1fa61a3afb5e7eb3d9e24a548903e05d9986]

More on unittesting data pilot.


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [20a4867e6270b795377d0dd1b01f26f8a3d094c5]

Set dimension information for the datapilot save data.


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [5523dba7276644c58d060e95b25960f50aa4e9cd]

Insert data into data sheet to be used in datapilot table.

But no testing yet.  I need to figure out how to create a data pilot
object without relying on the UI or shell code.

2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [b453bc7ba715bce6be781b159af34fd0a31a4b8b]

Oops.  Unintended commit.  Removed.


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [e56fa4c0d386aec82d5bf432f265bf92b8b18c6b]

More testing though it's currently disabled as it fails.


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [d042829a810847074d0e9479567bbe990385d3a5]

Forgot to delete sheet at the end of the test.


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [b252f5ed7ac8864c7572fa3daf925967076642f8]

Added unit test for sheet copying.

BTW one line is disable due to i#116439.  I'll re-enable this once
that bug is fixed.

2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [af63319fcdeea3f9b5018eab83ef5a9e64905446]

Reverting the merge commit 0fe55349b05fae496a86a3fa958d184f0453916c.

I created a patch between before and after the merge commit, and
reverse-applied it.  This is because if you revert a merge commit
in git you are denying all future merges from that branch.  I wasn't
sure if we really wanted that.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [5ada5635cff38af87830b091b36159cf80e4cf5d]

Revert "This is also part of the merge."

This reverts commit 0fe55349b05fae496a86a3fa958d184f0453916c.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-13  Niklas Nebel  <nn@openoffice.org>  [e71785ef735ba85a7c0fb14674cb847c3db5a706]

calc65: #i116439# CopyToTable: ScShowRowsEntry has 'show' state, not 'hidden'


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [bbee28dd241c3e6d4f03afcc394e2f10ae550c18]

Ditto


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [5701dd6b086b04dcbe8ad2096f0d7ffccdf53412]

Aligned names.


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [317b1e6fae941d14d04fedb9ed52944dead66d31]

ScDPCollection is no longer derived from ScCollection.

ScCollection is another redundant data structure that could easily
be replaced with boost::ptr_vector or any of its siblings.

2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [8b4ea69d2ad3abf07957ae1eb5c8cf7943cbc973]

Use boost::ptr_list to store data cache instances to fix memory leak.


2011-01-13  Kohei Yoshida  <kyoshida@novell.com>  [a9d0e8bf5ebe913710463f2b1e755bf3c1827fa0]

Renamed data member.


2011-01-12  Kohei Yoshida  <kyoshida@novell.com>  [5b9ce57d4bf56ba25fcad0c9462d3df5b57aa2e2]

Removed unused method.


2011-01-12  Kohei Yoshida  <kyoshida@novell.com>  [c5fcbdc68164c6480345561b0a1483bdeac3c183]

Moved the dp cache handling code from ScDocument to ScDPCollection.

Let's not bloat ScDocument any more than it currently is.  We need
to be making ScDocument smaller by moving stuff out, not adding
stuff in.  Plus, dp caches are relevant only when the document has
data pilot tables, so it makes more sense to move it to
ScDPCollection.

2011-01-12  Kohei Yoshida  <kyoshida@novell.com>  [bd43b9ebd0701eab63b9084fb53505fef07b8c03]

Cleaned up inconsistent coding styles.


2011-01-13  Sören Möller  <soerenmoeller2001@gmail.com>  [c09aa3ef07038b2cbc2efce3a965933fcc0f2a34]

Moved funcdesc's implementations out of global.cxx

Added comments to one of the classes, created two necessary
headerfiles and made smaller code cleanups

2011-01-12  Kohei Yoshida  <kyoshida@novell.com>  [beb14c7d320da3acf1efe77641ce0209fc5e3262]

Removed commented-out lines.


2011-01-12  Kohei Yoshida  <kyoshida@novell.com>  [f794593f0426e4d43eb22ed9702a8fe1eae02c73]

De-contaminated code base a bit.

What's up with these useless comments anyway?  Also, don't be lazy
and replace all ScRef* with formula::Ref* *when* the classes get
relocated, not after.

2011-01-12  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [1694757f1e9eed5b458644172ba67cdbf7ae113a]

chart46: #i25706# implement date axis - #i116425# interpret no data as text axis


2011-01-12  Mathias Bauer  <mba@openoffice.org>  [5bf5d42b8ca40e743852a8726f25c9683a0fa875]

CWS gnumake3: #i116422#: convert svx to new build system


2011-01-12  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [2f72a880f1c3fae47738a0d98f498b5c8f9307c7]

chart46: #i25706# implement date axis - #i116411# number format during editing


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [bfc378b61bc7a9404c359d75ddfed035ccd65a60]

Prefer early bail out in order to reduce indentation levels.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [66edfb49821155c0ec4cd6b7fe5521140752de24]

Do the same for single cell references and range name references.


2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [5ec72c280f0993ee6c4684f5d74eabe39d680d86]

Properly cache range data from in-memory documents.

Failure to do this resulted in referenced external range data not
being saved to the document.  This change fixes this.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [c900e3db767518b7a60eaf24bdf298c94315f685]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Anders Jonsson  <anders.jonsson@norsjonet.se>  [67cb48eb9c9dbfcac7614ac51ccf48a6a024c83e]

Remove commented code


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [15d298ba7c4e89b043b3077e17747ba027a62c43]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Kohei Yoshida  <kyoshida@novell.com>  [57ddf99a4b3cc2340d3d5fdb3ae4ac268cb89076]

Get SUMIF to work with external references. (fdo#33002)


2011-01-11  Christina Rossmanith  <Christina Rossmanith>  [5b64e47390fddea51ef2ae295a8a54249a0dba12]

Translated comments from German to English / Removed unnecessary comments


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [b1de245f97e974d9b031501ac8033a329eb2b574]

Remove dodgy looking extra PushIllegalArgument


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [6380c35e41bec6681d85611eacb1eccce7aa371f]

best to initialize nTab2 from nTab1


2011-01-11  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [0371e56ad54db91e266ec5974f51959ff7097e83]

chart46: #i25706# implement date axis - #i116406# december dates wrongly interpreted


2011-01-10  Kohei Yoshida  <kyoshida@novell.com>  [c8d46d9722b07985c134feae20450b06b9e74442]

Removed OUString to String casting & prefer static_cast over C-style cast.


2011-01-10  Kohei Yoshida  <kyoshida@novell.com>  [1d02310213321f8da4a9b6622b4b916bfae4398c]

Slight clean-up.


2011-01-10  Kohei Yoshida  <kyoshida@novell.com>  [43362503cd5fa528a2ef7bc5dd1260a70b9e4e59]

Adjusted for the non-pointer-returning toString() method.


2011-01-10  Sören Möller  <soerenmoeller2001@gmail.com>  [8bd63b93c58b2b40cdb11f2cfcf9b8b6fe674fbb]

OUString to OUStringBuffer and fixed ResId to OUString workaround

Replaced OUString with OUStringBuffer in two plaeces where a lot of appending is done, and replaced a workaround for getting a OUString from a ResId by calls to ResId::toString

2011-01-10  Sören Möller  <soerenmoeller2001@gmail.com>  [b24b59fd9ec4a531cf8687f37ac2882de3ea6434]

Changed String to OUString in funcdesc.hxx

I have changed variables and functions in sc/inc/funcdesc.hxx to use OUString instead of deprecated String, and I have also changed all uses of these variables/functions to use OUString

2011-01-10  Sören Möller  <soerenmoeller2001@gmail.com>  [42f2fb32cc829b2ea7ce19b8b92c5564af615ae6]

Changed String to OUString in public variables of ScFuncDesc

I have changed four public variables of ScFuncDesc in sc/inc/funcdesc.hxx from deprecated String to OUString and corrected all uses of these variables

2011-01-10  Kohei Yoshida  <kyoshida@novell.com>  [cdbe21ec45b338682683b7e3d22236c0033c8e66]

Get it to build after the merge & removed a warning.


2011-01-10  Kohei Yoshida  <kyoshida@novell.com>  [e6689ed7c15e366f60ff17ee1c10672a9fc07dc1]

Merge branch 'libreoffice-3-3'

Their change regarding the filtering performance conflicted with
mine.  I'll just take their code for now.

Conflicts:
	sc/inc/document.hxx
	sc/source/core/data/table2.cxx
	sc/source/core/data/table3.cxx

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [90cd1207c2da465fff97051f11c7103ec330fb92]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Mikhail Voytenko  <mav@openoffice.org>  [6459de48081985d561cb6ec6cc1f7b2b8186be7a]

removetooltypes01: #i112600# adjust basic and scaddins


2011-01-10  Muthu Subramanian K  <sumuthu@novell.com>  [2eae9fbd32f651885eeb780afc6821c1f44d49c0]

Allow Range Syntax to be of the form: Sheet1!A1:Sheet2!A2

This is for XL A1 Syntax.
Also fixes one of the (related) cases where pSym is not updated after
cSymbol is updated.

2011-01-09  Caolán McNamara  <caolanm@redhat.com>  [e8ce403d008a0cc939905d00010bd61fca55e665]

WaE: get member init order right


2011-01-09  Caolán McNamara  <caolanm@redhat.com>  [a1307271f1b7b343e57507a58b588e404e6b6ee1]

remove some empty methods


2011-01-09  Julien Nabet  <serval2412@yahoo.fr>  [4fa74cb55c4901578580474cb6775a56aa1d6bdf]

some cppcheckcleaning


2011-01-09  Christina Rossmanith  <Christina Rossmanith>  [6725626cd3f5d0db5c24465bb44967e8433946b9]

Removed unnecessary comments


2011-01-09  Christina Roßmanith  <ChrRossmanith@web.de>  [320e2cb97395eafbcc0021e128246fe8793a2157]

translate some comments


2011-01-08  Kohei Yoshida  <kyoshida@novell.com>  [e6c1ac1fc9dcfd0d806bc2ca4c04a46be4482d85]

BOOL to bool, to remove warnings on Windows.


2011-01-08  Kohei Yoshida  <kyoshida@novell.com>  [368da4c5a998be4986a9484fde1e59201c1c07ee]

Now the matrix test passes on Windows. Re-enabling.


2011-01-07  Kohei Yoshida  <kyoshida@novell.com>  [cb1ea727fd7b66015867fdc2641722129449c2bb]

Improve filtering performance to an acceptable level.

Note: this change requires mdds 0.5.0.

2011-01-07  Kohei Yoshida  <kyoshida@novell.com>  [0fe55349b05fae496a86a3fa958d184f0453916c]

This is also part of the merge.


2011-01-07  Kohei Yoshida  <kyoshida@novell.com>  [c64adfe893eea2d86c46a07ec9c3f99a7b465734]

Merge commit 'ooo/OOO330_m19' into libreoffice-3-3

Conflicts:
	sc/source/core/data/table2.cxx
	sc/source/core/data/table3.cxx

2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [827fa61c0bff4bcdbeb2410ce46c76b0dec32394]

cppcheck: Remove unused variable in XMLExportDatabaseRanges.cxx - check


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [a5114db8c6f461adfd2555b2b64936b12fa6ee56]

cppcheck: Remove unread variable in docsh5.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [b79f4a8d8ae23a4a90c8b6834f931f780d4a8c28]

cppcheck: Reduce variable scope in dbfunc3.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [dc4d58c9bb906664acb0a830a3d9d47869ad3b6b]

cppcheck: Remove unread variable in op.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [8c48537d99d5a895ba8530c9b230f4d8872e22d2]

cppcheck: Reduce variable scope in interpr2.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [941f286b6f5fddb625a4a243a1fc9a096d72fe37]

cppcheck: Reduce variable scope in namedlg.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [e56013e856454089d454699496476f47d21c0bc8]

cppcheck: Reduce variable scope in vbaworksheet.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [ca65396434429066954312f1241d4f08d2647468]

cppcheck: Reduce variable scope in vbaworkbooks.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [d1b0ba932b0a1c49647b7df528cd619cc425945e]

cppcheck: Reduce variable scope in column3.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [271998ce3864b6104be3bccce24c4265a7f7b2cb]

cppcheck: Reduce variable scope in filldlg.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [aa902f05795a2683d4b8ce646076388d45793c7c]

cppcheck: Reduce variable scope in crnrdlg.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [241470f817c8d2a195cec56283ad35ed42778b40]

cppcheck: Reduce variable scope in solverutil.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [e21ca0bdb0a26d6281a0aea345f3bf9f30d42533]

cppcheck: Remove assignment to self in cell2.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [ded4f6ac7c80940cab9e8beaec98b3b1e7da9679]

cppcheck: Reduce variable scope in interpr5.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [f9ab1cea0c06080df3424f426b14ba3970cb8fee]

cppcheck: Reduce variable scope in qproform.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [c6417aa8cc18ad57f9244bcc3128828bed70d67f]

cppcheck: Reduce variable scope in documen8.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [dac2e907ed6bcd36d35ad0fd6d2a37057d877bda]

cppcheck: Reduce variable scope in inputopt.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [30d5f8b47f0d778b65ed18aca0db853e54a0a9b7]

cppcheck: Remove unread variable in tabvwshb.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [7d1635669c6fd03b21e4a7f83d05bb2611034413]

cppcheck: Reduce variable scope in vbarange.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [9ea6186fb5b25e55c0947de773dd59b097959c8c]

cppcheck: Remove unread variable in vbarange.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [fb4cb2eaf33ddc20b91b25b30531824ff1637dd5]

cppcheck: Reduce variable scope in mvtabdlg.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [40811e3e6c7006120684a26438dff1a53061992b]

cppcheck: Reduce variable scope in xicontent.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [1a453815d3714bf2d5c0dd37ec8dc9fe7ec9403a]

cppcheck: Reduce variable scope in table4.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [86d77ed7260c446855c1be9eb57accffec929a5f]

cppcheck: Reduce variable scope in interpr3.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [e3cc8172c908b4193e93f6ea785c1fbc5e9c07e6]

cppcheck: Remove unused variable in test.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [19b3971ace5b9f39227397284d738c1cd822afa3]

cppcheck: Reduce variable scope in inputwin.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [130de0900964c9f9ed9ffd50f2b0ad465e8ec2ea]

cppcheck: Reduce variable scope in chartarr.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [dd24e25bbb79e73c422979bc97d2cbfec996bb32]

cppcheck: Reduce variable scope in dpobject.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [1f88baf9870ac2213d297b3705e7f1fcd53de4b3]

cppcheck: Reduce variable scope in detfunc.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [bd1c850cfafe7fe854e289195cffea8f4d7df514]

cppcheck: Reduce variable scope in inputhdl.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [daccdbeb238877687c5a1be2021efc0cba2b7f18]

cppcheck: Remove unused variable in docsh4.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [cf35feb618667f28952120e72358cdcba287dbcc]

cppcheck: Remove unread variable in documen3.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [a66a4675ccfa9d0938581408ae64ff04013a4abd]

cppcheck: Remove unread variable in colrowst.cxx


2011-01-07  Nigel Hawkins  <n.hawkins@gmx.com>  [d0d6d2f30f80d753e0f48a75e8dbc1e9ff828dda]

cppcheck: Reduce variable scope in drwlayer.cxx


2011-01-07  Thomas Benisch  <tbe@openoffice.org>  [53343744b778f7d619191bfe1153b779b8465c98]

chart51: #i106137# Formatting Toolbar - Focus doesn't switch when select an other element


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [1509a04294f7134ebdda348d969af25354f90e23]

CWS-TOOLING: integrate CWS calc64


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [40578d36859b9226ec1abdb523344167da155cc3]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [7ad302c80f4dc0d18d68ee529d31eed280f9afec]

cppunit: prefer prefix variant


2011-01-06  Mikhail Voytenko  <mav@openoffice.org>  [3ceb356ad05ce760d0d9f8d5fbcec1fe93e0e538]

removetooltypes01: rebase to DEV300_m96


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [ed600c3977677974d39cde87083713a8a005f7c9]

cppunit: prefer prefix variant


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [a09c206998f92f799ba408aeae8263ac1159b683]

CWS-TOOLING: integrate CWS ooo33gsl13


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [286cf61c8da1080e4c9f304ed4118ef717fb4548]

fix build error, this is probably right I hope


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [94048c0ce1e62dc9db82f84cb511025269a60756]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [2cf9bab26700291239e499b5baec047fbbd49257]

rebase to DEV300_m96


2011-01-06  Muthu Subramanian K  <sumuthu@novell.com>  [9d8469e97f9b7494107769f10c7a7f8dc5e884b6]

Feature: Formatting Duplicate cells: Conditional Formating.

Please note that the importing/exporting of this
(as ods or other formats) are not yet supported.

2011-01-05  Christina Rossmanith  <ChrRossmanith@web.de>  [f829fabcf71841fdb70d91ab3aac78d380af67be]

Translated comments from German to English


2011-01-05  Thomas Benisch  <tbe@openoffice.org>  [d67431f359ef41bbb4dfe1f80a19129ae3ff84f4]

chartextensibility: #164347# Wrong position when inserting data pilot chart in RTL


2011-01-05  Sören Möller  <soerenmoeller2001@gmail.com>  [202e0babadc5cd2ba03cad49400d38132d16d29e]

Removed dependencies on tools/solar.h in drawpage.hxx/.cxx

Replaced datatypes from tools/solar.h with corresponding types from sal/types.h in drawpage.hxx/.cxx and added missing include of sal/types.h in docparam.hxx

2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [e68ec4b3702a5e761790fd7500b10cfbd0264faa]

WaE: C4805 mix of bool and BOOL


2011-01-05  Kohei Yoshida  <kyoshida@novell.com>  [c8a34b04115ed5c1c87bf879f577e711c25c3831]

Make more room for Portuguese locale. (fdo#32823)

Signed-off-by: 	   Michael Meeks <michael.meeks@novell.com>

2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9c72147dd51486e61bb8785583f9bf0c188ad2d4]

undoapi: fixed wrong resolution of merge conflict


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [929e5879bc3f16ef746c37024b7cdc7e3e540ced]

WaE: C4701 potentially uninitialized local variable used


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [9d1960bfcd912b26749b52215bf0b1bb1ecd7599]

WaE: C4099 be consistent between class and struct forward decls


2011-01-05  Niklas Nebel  <nn@openoffice.org>  [2e7856016590b7c2ac910eaabd5cf860ba135520]

calc64: remove a warning


2011-01-05  Sören Möller  <soerenmoeller2001@gmail.com>  [896d4f71589c888acf3e1d42baa61945e08b691b]

Removed dependencies on tools/solar.h in waitoff.h

Replaced datatypes from tools/solar.h in waitoff.h by corresponding types from sal/types.h

2011-01-05  Niklas Nebel  <nn@openoffice.org>  [0c2ccbd2fe129b2c7adf368a8a1fb855bf22fc02]

calc64: #i116164# performance of filters with many filtered ranges


2011-01-05  Tor Lillqvist  <tlillqvist@novell.com>  [a0ddb899ac96e54422e2002a38cf084ff832b938]

Bypass test that fails on Windows for now


2011-01-05  Miklos Vajna  <vmiklos@frugalware.org>  [96d4ec0631e72ae9d34d982fd2e54953c0a9cd44]

sc: fix mdds include when doing a c++0x build and using strlport


2011-01-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e7f44431ee19b0de066d9935500baaf4834420fa]

undoapi: post-rebase problems fixed


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [7e53cc49efb970c98a964156ffed4e145cf86880]

fix build error and match signature


2011-01-03  Kohei Yoshida  <kyoshida@novell.com>  [69549214b2464831a728b0792db909f178e17f8b]

Let's use sal_uInt32 over sal_uIntPtr.

In most uses of ULONG, ULONG isn't really expected to be 64-bit in
size when in 64-bit platforms.  Substituting it with 32-bit integer
is sufficient.

2011-01-03  Kohei Yoshida  <kyoshida@novell.com>  [4d4f99c68cc232ad788c748e4cd717e4c05922e8]

Converted tabs to whitespaces.


2011-01-03  Kohei Yoshida  <kyoshida@novell.com>  [306505e176c30b4fd4f0f8a9a0075034e599c45e]

Fixed build errors due to BOOL to bool conversions.


2011-01-03  Sören Möller  <soerenmoeller2001@gmail.com>  [60ddf4dbc323702bd8f048684baca2737d39f4d9]

Removed dependencies on tools/solar.h

Replaced all uses of (deprecated) data types from tools/solar.h by
the corresponding data types in sal/types.h or the standard bool
type.

2011-01-03  Christina Roßmanith  <ChrRossmanith@web.de>  [a53cbe8be025a09c844d7b5600278e81a99788e4]

Translated comments from German to English.


2011-01-03  Kohei Yoshida  <kyoshida@novell.com>  [f200d4f7280127f120d550ddc2be5ab517d00bf9]

Don't reset the default sheet name when the name has evern been edited.


2011-01-03  Kohei Yoshida  <kyoshida@novell.com>  [4ae2c7eea4897f2aa70a78aad3cb58f883a941c0]

Different warning messages for different causes.

Now we display three different warning texts:

* name is already taken.
* name is empty.
* name contains invalid characters.

2011-01-03  Kohei Yoshida  <kyoshida@novell.com>  [96c83ea8159bec87e4e8fda0c833eeb6d6f277b3]

Force copy when all sheets are selected.

This includes disabling the Move button too.

2011-01-03  Kohei Yoshida  <kyoshida@novell.com>  [104f80876620357c35952ae4137a7f753081a5f2]

Adjusted the dialog layout a bit to make it look more consistent.


2011-01-03  Kohei Yoshida  <kyoshida@novell.com>  [c95c1f0da2d2d45b734405e4d9b11e057c55abd3]

Indentation fix & BOOL to bool.


2011-01-03  Joost Wezenbeek  <joost.eekhoorn@gmail.com>  [7d439aeba0682452b287c30995e2553e956b4dd1]

New layout Move/Copy sheet in calc

OK, Cancel and Help buttons placed at bottom of the dialog
Copy checkbox changed to Copy/Move option buttons
Sections: Action, Location and Name
Warning: This name is already used.

2011-01-03  Mikhail Voytenko  <mav@openoffice.org>  [4e8e90e2a74f867b3ca315982cbd3bcbead13b88]

fwk162: merge to DEV300_m96


2011-01-03  Mikhail Voytenko  <mav@openoffice.org>  [b7766ce8a2facd3fe98fe2b80414feb5324256a4]

fwk162: #i115902# review usage of SfxObjectShellRef, SfxObjecShellLock; remove unused some methods


2011-01-02  Rene Engelhard  <rene@debian.org>  [98445eee70200c84b4c3452e8592e01256d5af46]

Merge remote branch 'origin/libreoffice-3-3'


2011-01-01  Joseph Powers  <jpowers27@cox.net>  [ebd5f54c878d04161373fbe625d48c71023dd67c]

Remove DECLARE_LIST( TargetList, String* )


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [81c65296f69d7a728d43fa83bcb39d3886c735ea]

WaE: C4099 struct vs class


2010-12-29  Kohei Yoshida  <kyoshida@novell.com>  [208ef6386f934012bcc7bbdbc2271ebd04952536]

Remove bogus check for numerical sheet names. (fdo#32570)

We apparently put numerical sheet name into quotes somewhere else,
so checking for a number followed by a '.' and flagging it as bad
is not only necessary, it's not appropriate.  E.g. we do support
other formula syntax where the sheet-to-reference separator is not
'.' (Excel A1 and Excel R1C1), thereby making this test even more
inappropriate.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [1c3863ed208dfde324e313e1a005e8d29ca8f7f4]

dr77: post rebase fixes


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [033b9fcfd89914b5d42e0b66a6284b7281da1b8a]

dr77: rebase to DEV300m96


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [f0c7c704d8b04529f15022ea36bcb5a96470eab4]

cppcheck: silence warning


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [edbe8bbe3e9d999cc3b49d077bb93e0dec2f2547]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [e54aecda9581d71f8d68d6a0763d4f1bc294da65]

cppcheck: prefer prefix variant


2010-12-23  Kohei Yoshida  <kyoshida@novell.com>  [98764831e3b6c02d7630c61a6c389ce4318787bd]

Remove bogus check for numerical sheet names. (fdo#32570)

We apparently put numerical sheet name into quotes somewhere else,
so checking for a number followed by a '.' and flagging it as bad
is not only necessary, it's not appropriate.  E.g. we do support
other formula syntax where the sheet-to-reference separator is not
'.' (Excel A1 and Excel R1C1), thereby making this test even more
inappropriate.

2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [72c5043b0d7949ae32c18ba1418d548b525f99cd]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-22  Kohei Yoshida  <kyoshida@novell.com>  [25aea9775c2e6777c998d2db7d2d5d5314129fd0]

Actually the object doesn't have to be a cell note.

The same problem happens even when the object is not a cell note,
but, say, a regular text box.  Let's not check whether or not the
object is a cell note.

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2010-12-22  Kohei Yoshida  <kyoshida@novell.com>  [9d59ebed31d016c44f91f8b4587f9852ba65e5b4]

Avoid double-paste when pasting text into cell comment. (fdo#32572)

Original patch is from Caolan.  I re-worked it to handle more use
cases.

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2010-12-22  Kohei Yoshida  <kyoshida@novell.com>  [7d30f57b73c3b6658bc9a4d86ddc2610848ce3e9]

Actually the object doesn't have to be a cell note.

The same problem happens even when the object is not a cell note,
but, say, a regular text box.  Let's not check whether or not the
object is a cell note.

2010-12-22  Kohei Yoshida  <kyoshida@novell.com>  [342f3cfe6f2b27ea62bd9883e16014c188276356]

Avoid double-paste when pasting text into cell comment. (fdo#32572)

Original patch is from Caolan.  I re-worked it to handle more use
cases.

2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [22fa80775b122810f65a894d30978238998e1cee]

makedepend doesn't like -s to appear in the command line


2010-12-22  serval  <serval2412@yahoo.fr>  [10f65ce5ea888bfa63438033b294fb4f46fb95fe]

RTL_CONSTASCII_USTRINGPARAM


2010-12-22  Kohei Yoshida  <kyoshida@novell.com>  [8d40c861b16b972562e24a9ad7b52eb16308c123]

BOOL to bool.


2010-12-22  David Tardon  <dtardon@redhat.com>  [4f2f1cae6561036c0a26c2bb64d80ec0856d0440]

use configured hash container


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [1c224b3a5126b69dc6d58ac58640700dc51966c1]

Some code cleanup to simplify the code without changing its logic.


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [0acb660da9251c409582661df75f634670bb57e1]

cppcheck: initialize a pointer data member in ctor.


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [764b5b29fb44e3f0d0941f77ed9b3d21b51f41b3]

cppcheck: variable scope


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [e15ba0a0d81edc8a339674248152a680348dc9f3]

cppcheck: variable scope


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [82803aa044cbdaeac88668065a86c83cf5411005]

cppcheck: variable scope.


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [fac8343da5a907f28ac0e8ac481fb7356be2a939]

ScRawTokenRef is now based on intrusive_ptr.


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [4a950ca52a1f2446cfc04572b3a914612ee699fb]

The external ref cache also stores intrusive_ptr-based tokens.

But the token array instances are still managed by shared_ptr.
We need to convert that to intrusive_ptr also.

2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [0a0707eae932b84e3ec99c180d813141b098ed9b]

No need to include the shared_ptr header.


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [aa462f424ea29f5c8256f8928a66ebc6578c7952]

Removed ScSharedTokenRef and replaced it with ScTokenRef.

ScSharedTokenRef was implemented by boost::shared_ptr, only because
SimpleIntrusiveReference which the original ScTokenRef was implemented
by could not be used with STL.

Now that ScTokenRef is implemented by intrusive_ptr, we no longer
need ScSharedTokenRef.

2010-12-21  Thorsten Behrens  <tbehrens@novell.com>  [1cc6e92afb96ba31dc3e1ee8f5013e50c9e7da60]

Quick-fixing dbgutil sc build breakage


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [a2619bdd9b199d32911800fd38f264af909fcf7b]

Adjusted for the new FormulaTokenRef now implemented by intrusive_ptr.

Also, ScTokenRef is similarly now implemented by intrusive_ptr.

2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [2930911604103d6caf4d6861f2a70d1f8a7f0c5e]

Moved ScMatrixRef typedefs to its own file.

This is to prevent including the whole scmatrix.hxx header in
document.hxx.

2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [fa67820f872110559c67856d60ca4f92bd1a6259]

Translated German comment.


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [8b7d7543b6f94602b468c888cf19753f4c26383a]

Oops.  We can't bail out earlier than that, it seems.


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [3529474954bedb59a455c55dd62755e6d8b362b5]

Simplified the logic a bit.

* There is no need to go through those two if statement blocks when
  bNoPaste is true.  Bail out early.  This helps reduce the nest
  level.
* Updating a range can be simplified.
* the 'r' prefix is reserved for references. For a variable that's
  not a reference, use 'a'.

2010-12-21  Joost Wezenbeek  <joost.eekhoorn@gmail.com>  [dd9af93f34efa580ca69fcffb728103da572f995]

Leftover data after Undo operation

qa issue #106711

2010-12-21  Julien Nabet  <serval2412@yahoo.fr>  [1538cb23efced9865d595d28241b47e284dc0520]

2 callcatchers


2010-12-21  Julien Nabet  <serval2412@yahoo.fr>  [0a366506a8089fcdc07051c556e0f297caaa156a]

callcatcher ScGridWindow::DrawComboButton


2010-12-21  Julien Nabet  <serval2412@yahoo.fr>  [88d5f60b8f85e32d458aecc3062d718cce111918]

cppcheck: Some removing of postfix operators


2010-12-21  Julien Nabet  <serval2412@yahoo.fr>  [79837b251f1614761ef6faec6b90a7c5a6ae88a2]

callcatchers ScFlatBoolRowSegments


2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [2bfb1c3ecafb81dd62da1831a78cf88b99fdfe60]

Adjust scroll speed based on the position of the mouse cursor.

With this, farther the mouse cursor is from the edge of the window
the faster the scroll speed becomes.

2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [dc7e000f1ccf3e345587cf4ecfa8aa9f95d26f3b]

Better mapping of cell border thickness when importing xls documents.

Patch ported from the buil repo.

  * calc-xls-import-cell-border.diff

2010-12-21  Kohei Yoshida  <kyoshida@novell.com>  [11f2e508a01967f94a3db7504a97e8b053fd851b]

Prefer the real iterators over First() Next() iteration pattern.


2010-12-21  Nigel Hawkins  <n.hawkins@gmx.com>  [6a9e68319c529b577b1f95f56bdb472db53afc38]

Remove ScfDelList and ScfDelStack


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [a8025a27dde2d3c4ca8584ecf21b9ee3a4a91aa0]

Removed const_cast, and fixed some accidental logic change.

Get a reference from the list when we need to modify the stored
object.  Making a copy and modifying the copy is not what the
original code did.

2010-12-20  Nigel Hawkins  <n.hawkins@gmx.com>  [b5493a7ef9689fe64e2d1deba79707fa90716c49]

Remove ScfDelList in xistyle


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [8408099ee293725f1bd4c970c254fad8de63aa42]

Check for the validity of the index before calling at(index).


2010-12-20  Nigel Hawkins  <n.hawkins@gmx.com>  [6b6ddbb66551a17cd2a216cc9a96923b5e8d5902]

Remove ScfDelList in xilink


2010-12-20  Nigel Hawkins  <n.hawkins@gmx.com>  [d6a96090bd4d2e4e1c6d70fb69d7336dd4f95892]

Remove ScfDelList in xicontent


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [64f8f833e4285119f86dcf1ffc2071030d41ecca]

ptr_vector never stores NULL pointers.

Since ptr_vector doesn't allow storing NULL pointers, there is no
need to check for NULL values on pointers obtained from it.

2010-12-20  Nigel Hawkins  <n.hawkins@gmx.com>  [820b6c9b853780830e4cfe840855f841568820f9]

Remove ScfDelList in xestyle.cxx


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [fbce87fa82716746d3f89a783d3e2e8076fb928c]

Removed const_cast by making the method non-const.


2010-12-20  Nigel Hawkins  <n.hawkins@gmx.com>  [d9d22d0c565b0aea95e1442361d28f7d9a01f191]

Remove ScfDelList in fprogressbar


2010-12-20  Nigel Hawkins  <n.hawkins@gmx.com>  [3509c40a0ac26d317b7e6512f3c41eb1c6f84ce5]

Remove ScfDelList in imp_op


2010-12-20  Nigel Hawkins  <n.hawkins@gmx.com>  [f2048e9c9e3b232ff8d48977eb96eeb01ca0fe58]

Remove ScfDelList in xihelper


2010-12-20  Nigel Hawkins  <n.hawkins@gmx.com>  [88cf93a5a68a11cabaa66b5c4355e60fa9266851]

Remove ScfDelList in xiname


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [bc24308db8385ddfdcd0f42b03e96b8820db84c0]

Merge branch 'feature/calc-matrix-rework'


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [18922c4a27a2fc118e1b7615ad0837d962ea5ad5]

cppcheck: this method can be const.


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [be6a1d0c5bc0b744881fad61c0cb7cc06a2b3abc]

Fixed build breakage.


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [705c59eec3ba4351759e6d74feaeaad34428b088]

Merge branch 'master' into feature/calc-matrix-rework


2010-12-20  Kohei Yoshida  <kyoshida@novell.com>  [16fdac1d2ba6defdb3ee8d67033a7ae205e113d0]

Use mixed_type_matrix::const_iterator for faster element iteration.

This should speed up calculation of SUM, AVERAGE etc. on external
ranges.

2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [6f944884513d4203689e075168f9fe725b41f6e8]

update gitignore


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [2408746de4279186f574a2b54ed2aad19b5c9386]

WaE: unused variable


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [d04e718122a6c8ef557b60581a2544b2594677cb]

cppunit: make sure to regenerate .rdb if makefile changes


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [ad40841bd6c32732f86c403a51fd8b2dbb0b3798]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/calc


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [f67ffb5fc43b99e64ccc9bd31c6c92dbe5a87ea6]

cppcheck: reorganize this a little


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [12f76d743d9898cd27b35fef36b2d93f74ba7d7f]

declared but not defined


2010-12-20  serval  <serval2412@yahoo.fr>  [8d048b223ab107f73197bb4a38fcbe2a192caeda]

callcatcher + 1 RTL_CONSTASCII_USTRINGPARAM


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [3f7bde145d8ae85e0700b2d75dac36098c9722f0]

Merge commit 'libreoffice-3.3.0.2'


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [d1dd01814d169a571ac382cf446e299b8a4bdd26]

cppcheck: prefer prefix variant


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [a619953e638d7579f688674e9f7ce3a1042d5db5]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-18  Caolán McNamara  <caolanm@redhat.com>  [0cd69aa9e2d5738261e0ff513a1ab0354d7a9e64]

cppcheck: can reduce the scope of this variable


2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [58eaad24d878fbf08c5fd6762230428bd30f5e83]

When inserting current date/time, set cell format only when necessary.

When the cell already has date or time format set, don't overwrite it
when inserting current date or time.

2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [5e856835e6b8a30220d6bcbdd0074503075190fc]

Added skeleton methods for all sorts of iterative calculations.

They are not yet implemented.

2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [a46007cfa947260d532a2d2bbaeaa6e3d843d9f4]

BOOL to bool, some comments.


2010-12-17  Caolán McNamara  <caolanm@redhat.com>  [78cf196f25be1ebde2a23474024edcb4b7c84ea2]

WaE: C4805: Unsafe mix of bool and BOOL


2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [cb9594579083db2619336d7280ba93b2c899a6f4]

Use sparse matrix when building an external range data.


2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [505caa5b84bbd5a8e9404929dda7084430ba63d5]

Removed TODO comment as it's already been completed.


2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [e5df155b3a9445df94572304d42c39756bd5cc48]

Template name change: quad_type_matrix -> mixed_type_matrix.


2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [bd80366a3ff7e209450813c78ec6963ffc55ef96]

Use the current cursor position when expanding a selection.

When expanding a selection via shift-ctrl-<arrow key> use the
current cursor position to deteremine how much the current selection
should be expanded.  The old way was to use the block end position
which is is diagonally opposite of the cursor position. (n#659795)

2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [7b49ebfea9cccd4a43c7ac89788be4102cec6452]

CWS-TOOLING: integrate CWS sb131


2010-12-17  Anders Jonsson  <anders.jonsson@norsjonet.se>  [f2304a56023c6c391ac82314db601d524b28a99e]

Remove large block of unused code


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [66ece2a3e0283e83fd4f7095c8fab09a09b37472]

CWS-TOOLING: integrate CWS chart49


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [edb269a102236945cc39cb090de5dfc4eb85cace]

CWS-TOOLING: integrate CWS mib19


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [740c5b7fca27a5a15c3eeff6ae6cb8a49b3995ee]

CWS-TOOLING: integrate CWS gnumake2


2010-12-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [795f5e4c0766a7f848e886585e97dd3b70b431a8]

undoapi: (I|Sfx)UndoManager now working with size_t instead of USHORT


2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [f390aab2bba4ebd1144ee8cb00155b4bccb2a5ae]

Removed ScMatrix::Delete().


2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [bfb303dadd859fcde5170f77adff15f9c1a75504]

Implemented ScMatrixRef using boost::intrusive_ptr.


2010-12-17  Kohei Yoshida  <kyoshida@novell.com>  [7b83f1d178994d4a6afffd0e8e1c21751d0be2b2]

Removed the eternal ref bits, as no one uses it & we don't need it.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [221fb24c064579d090e57c14bedb2431b488c332]

Removed parts of the comments that are no longer true.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [bcc1861be3fab35f34b74c27d531bfd57eee5739]

Re-wrote header description for ScMatrix.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [04e014bbf864e30576eb4e5c10bc87a4eafd2c10]

Unit test for matrix's And and Or evaluations.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [ce8a33e2f99049c4ec88bbcf3e378be35d7dbbab]

Test for empty path element type.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [8ed18c28432bd451bee3c6fb0925191e2989c266]

Removed code duplication with template.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [53c9ef796519212a392a4cd12e89dc9b5704ad9b]

Check the flag value for empty "path" element type.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [bf787331f454820e136dca65addeb8154aabe872]

Wrote basic unit test for new ScMatrix implementation.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [c5b955edf2e8b6a6f3d0a492dbbeb5684e6a69bb]

Empty element is expected to have a value of zero.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [e053bd2006b6e5d939426d02be26e35144c135f3]

Fixed a silly bug with serious consequences.

This was causing the calculation of LINEST to be totally incorrect.

2010-12-16  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [fa24ee0dc6ea574a0b702c2455849fe065d79064]

fix compiling error with --enable-dbgutil

the pDoc variable has been removed with commit:
1ce7fb1258d86287a9aea the 2010-11-06 07:49:11
hence removing it form the DBG_ASSERT( pDoc || xSource.is(),

2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [8e9fdfa1315bc5af6cd7fd2731452dc5b4297efc]

Don't call Clear() after resizing a matrix.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [00b72046166670628078f9f94a22897c90cf894f]

Fixed build breakage.


2010-12-16  Kohei Yoshida  <kyoshida@novell.com>  [4e876a04373ccbc376d330ee494f5a04d503a7b4]

Merge branch 'master' into feature/calc-matrix-rework

Conflicts:
	chart2/source/controller/dialogs/ChartTypeDialogController.cxx
	chart2/source/controller/dialogs/TabPages.hrc
	sc/inc/dpshttab.hxx
	sc/inc/global.hxx
	sc/source/core/data/dpobject.cxx
	sc/source/core/data/dptablecache.cxx
	sc/source/core/data/drwlayer.cxx
	sc/source/filter/excel/xecontent.cxx
	sc/source/filter/inc/ftools.hxx
	sc/source/filter/inc/xehelper.hxx
	sc/source/filter/inc/xihelper.hxx
	sc/source/filter/inc/xistyle.hxx
	sc/source/filter/xml/XMLExportDDELinks.cxx
	sc/source/filter/xml/XMLExportDDELinks.hxx
	sc/source/ui/docshell/docfunc.cxx
	sc/source/ui/optdlg/opredlin.cxx
	sc/source/ui/unoobj/styleuno.cxx

2010-12-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a210b0a6fd70157d7e155b23d77a541f10d7e68b]

undoapi: merged DEV300m95


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [f6727dc6d3d44285a4571f0b599c94cddb7b4531]

cppcheck: can be const


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [ec9b926fcbee47497eb36f1f520df8303c140afd]

cppcheck: can reduce the scope of this variable


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [d28be24997af545a56180d9a7d0ce3d57009a9ff]

Give each field control a proper description.

Incidentally, the page field was missing a description.  Added one.

2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [f9d6a0014cd41a915f31841c7251177ee8b21e31]

Wrapper class for the normal scroll bar class.

We need to only to pass the mouse wheel events to its parent control
in order to have them handled properly while the mouse cursor is
over the scroll bar control.  For some reason the normal scroll bar
does not handle mouse wheel events natively.

2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [42497053fccc1a676a06fdae0f0a4db185d28355]

Handle mouse wheel input on the row field control.

Only for vertical scrolling at the moment.

2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [3ceb39b15fa268fbad260c2254ea07690529479a]

Fixed the mouse cursor pos to field index conversion method.

For row field control.

2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [295990097592f9ffe25e4c0c6d85e341f10a6fa2]

Removed all my debug statements.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [c7e7a4f56c6fb09829264ab2819e2f2c10693465]

Added some class descriptions.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [926dfc3a1a09b53aa53711ac4f3bf176d67ab8be]

Show the scroll bars only when necessary, otherwise hide them.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [83bfacd324eae18eb9d4a3bba1027affff4c0fbf]

Removed the old code for the data field control.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [8fffea3bec326e98386b98c294356d4d1cb49936]

Added mode lines for the new file.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [ddfe893ea68dc7bdb02d711c750d4e413e1bb118]

Reuse ScDPHorFieldControl to render the data field, to reduce code size.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [331d477815640c9dd62089725a9bec8af4d0ee40]

Call GetFieldSize() to get button size to avoid hard-coded size.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [f29227703201cf96928e53dd1dc7ee369706c5ff]

A little UI tweak & code cleanup.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [8fefa461a29658d184d72eadd98ffd0fde089d6c]

Up the number of fields per column from 8 to 10.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [2f7f47072d8263242d45624c7d56a58ed7c43167]

Removed code I don't use any more.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [7dcbd30dddd940cae0c14d1082582359f1d476e4]

The size of each field control is calculated in the dialog code.

Since the size of each field control is calculated in the dialog
code, leave some note in the src file and set the sizes to 1 by 1.

2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [4b5c4e2d3a926ea18b943199252d6d983c179361]

Clean up.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [c4c6475f86b1dba9f8453431e4426ac83b8c6c40]

Simpler logic for selecting next field button.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [104f1f7f0185e986e789ecba3932ba27dd06e9e0]

Set scroll bar line size to always 1.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [06aa754ffd3a6a21cd06f2a226ddab57780ae424]

TRUE to true


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [02969310c4288f1f303d7da96f96a5b3c5df7b4d]

Debug statements & we don't remove any buttons from the select field.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [63e57a2994380322a07519ae598ae871555ce8f0]

Fixed a build breakage after merging master.


2010-12-15  Kohei Yoshida  <kyoshida@novell.com>  [c1a3585f31f0000e845647d5c12a61d9d9ee0ff1]

Merge branch 'master' into feature/calc-dp-unlimited-fields

Conflicts:
	sc/source/core/data/global2.cxx
	sc/source/ui/dbgui/fieldwnd.cxx
	sc/source/ui/dbgui/pvlaydlg.cxx

2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [828b2125192c2891dbcd6664b20037699f797856]

Header comment for a struct.


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [909a1db3eb8f3e6236ff1572a8ce7047fb89b1b2]

Removed commented out code.


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [ed5d652e91aaf681533e77c3d189b2e9b246e724]

Provide import options when pasting HTML data. (fdo#32400)

When importing an html document, we launch text import options to
provide several options for the user.  Let's do the same when
pasting html data too.

2010-12-15  Thorsten Behrens  <tbehrens@novell.com>  [568229e5a07ab0082b7c172f48a2905abbb112a1]

Fix dbgutil build


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [b2f3c59bc4a6dafe4ae4ee4997b53bcff5df84c0]

Replaced SvShorts with std::vector<SCTAB>.


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [f534c96b2c69306d5888f87c88cb8e5b081c8263]

Removed unused code.


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [cdcd262ea4aa3c3e407b14ed533e514f75de2d3a]

Fixed unformatted text paste. (fdo#32213)

* Changed default option settings for CSV import options to
  something sensible.

* Set explicit multi-line cell handling policy during unformatted
  text pasting.

2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [c1fe450afdc7234c549de3dfac61a620ff213169]

Remove trailing spaces too when parsing csv's simple numbers.


2010-12-14  Caolán McNamara  <caolanm@redhat.com>  [d81a90edf1c9e17eaaff77cb00d49051a5a7d151]

WaE, shadowed warning


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [c2e6be18f38240106a3811445d993d35be12a790]

We need to reset i to 0 after parsing spaces.


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [6a28e8397ae7a913dc7af1d2bcb3590ce975c1ac]

The previous commit would skip *all* spaces.  This is the right fix.


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [15254fc821d2bbed205e814c689b19cafaf1eb8a]

When parsing numbers, ignore preceding spaces.

Also, increment the char pointer and use it directly, which is
faster than accessing char via [] in each iteration.

2010-12-14  Michael Meeks  <michael.meeks@novell.com>  [15124f0b2476ed4a9d499331fc154a9602205dae]

add CSV number parser unit tests, and license headers


2010-12-14  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e750121a5fdf3e7b37d059088b615cd59b4b4ea2]

chart46: #i25706# implement date axis - no date axis for pure time format


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [139726734ba6ed653ee0b8c1186b3c65190e8759]

When the name equals the automatically assigned one, remove it.

This prevents e.g. copying Sheet1 with the default name of Sheet1_2
from being renamed to Sheet1_2_2.

2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [0e405c692ad036fead59aa80974e65e499005f32]

Properly support redo of renamed sheet copy.


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [bc1fddc43a67193b3d97b0d3a2d5dbeba62581d6]

Properly support undo and redo when moving sheets.


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [a710124689874ed3f0857ba76c6eb2b7b7cb1b82]

A little code cleanups.


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [c203454a76f455fe565c5c7dca688f30cb85ed3d]

Removed unused block.


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [5425a9944573c50c8b5548e69f5631094c088931]

Update new sheet name when control states change.


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [20c5b51c515497a9eb8a2ff349f2c5cf52060045]

Tabs to space conversion.


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [d9d515299663d9399904b73a494c248578f43360]

BOOL -> bool, and tabs to whitespace in new code.

Also, putting a bool declaration in the right context.

2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [93f5901f42e57c5c3cbd070e6a716945bd4bbb14]

Made the dialog a bit smaller to fit.


2010-12-13  Joost Wezenbeek  <joost.eekhoorn@gmail.com>  [dd42e1b87bef10b20278e3c4a69c18b540056fc8]

Change Sheet copy process

Easy Hacks 3.27
Added rename in Move/Copy Sheet in calc

2010-12-13  Joost Wezenbeek  <joost.eekhoorn@gmail.com>  [977f9973be22defae88f6e46e62c02280a583851]

Change Sheet copy process

Easy Hacks 3.27
Added rename in Move/Copy Sheet in calc

2010-12-13  Joost Wezenbeek  <joost.eekhoorn@gmail.com>  [af9d123791ebeaca9dd84a4294169237e193d6ff]

Change Sheet copy process

Easy Hacks 3.27
Added rename in Move/Copy Sheet in calc

2010-12-13  serval  <serval@ilapharm.com>  [e390d8a7147c17bef9fc3357b7b0539cd6904659]

Remove callcatcher for ScCellRangesBase


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [fa5d7f2e034aa7d51200d70cd125b5095e845e34]

Remove trailing spaces too when parsing csv's simple numbers.


2010-12-13  Caolán McNamara  <caolanm@redhat.com>  [8124f6af1dc7e8260823dc54386ee7497cff5ce6]

WaE, shadowed warning


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [6946249e5af0c17b9d2dcbb3c96ba9306f7131df]

We need to reset i to 0 after parsing spaces.


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [9d6aa5f98e201cc2aaa9b88641550833e61ecd74]

The previous commit would skip *all* spaces.  This is the right fix.


2010-12-13  Kohei Yoshida  <kyoshida@novell.com>  [c2c3dcbbbfcfe437d8cc3030b9b9cb3ee68bf598]

When parsing numbers, ignore preceding spaces.

Also, increment the char pointer and use it directly, which is
faster than accessing char via [] in each iteration.

2010-12-12  Anders Jonsson  <anders.jonsson@norsjonet.se>  [8564ab1e78e4adbbc5121ba78edb369f40d6555b]

Remove commented code


2010-12-12  serval  <serval2412@yahoo.fr>  [b34e7b73a65b6f37a68b1480f19d898ba3b0d23f]

Remove callcatcher ScBitMaskCompressedArray


2010-12-12  Timo Heino  <eraggo@gmail.com>  [c4a779ca640d7e21273a17533319446f99134caa]

More commented out code removed

I try to take smallish control over commented out code ;)

Next time before commits i would like to see if someone really makes sure there is no commented out doe :|

Timo

p.s. (only one time i occured small "error" on if-statelement; fixed it (i think so))

Signed-off-by: Timo Heino <eraggo@gmail.com>

2010-12-12  Gert Faller  <gertfaller@aliceadsl.fr>  [4c68c7c819125f2d816b1782fdd8379c1cd1b5e5]

change of __READONLY_DATA define to const


2010-12-11  Gert Faller  <gertfaller@aliceadsl.fr>  [b860fc68e241a76f3b0f2f0b0c30ce3fbd37b8a5]

cleaning of __EXPORT define


2010-12-11  Eike Rathke [er]  <eike.rathke@oracle.com>  [8839ada2ba12033f1c7d7ab23f59353e036dbbb2]

ooo33gsl13: #i115906# obtain correct data range for external references * Apparently ScTable::GetFirstDataPos() never worked as intended and selected   the first non-empty row of the first non-empty column instead of also taking   following columns into account where non-empty rows may be on top of that. * Caller of ScDocument::ShrinkToDataArea() must check the return value, if   false there is no data in the area passed and the values obtained may be out   of bounds, not in order or unmodified. * In ScExternalRefMgr a call of ScDocument::ShrinkToUsedDataArea() was   intended instead of ScDocument::ShrinkToDataArea(). For this changed the   return of ShrinkToUsedDataArea() to flag if there is any data and added an   out parameter to flag if the area was shrunk. * Sanitized arguments and slightly optimized ScTable::ShrinkToUsedDataArea()   to not have to check for >0 and <MAX on each iteration. (transplanted from 31b53a2ec7e32f9560464f8a3b9f6c3e07b29083)


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [79ef07ec3c2d93f6f5f9fab057518647c4ce73a7]

Removed ScRangePairList::at() also, in favor of operator[].


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [05992aa93f1534a94f9428aef456a638352f2768]

Removed ScRangeList::at() in favor of operator[].


2010-12-10  Timo Heino  <eraggo@gmail.com>  [889c55af0f2bd37b12877399dd13e8e8c34a6dd7]

Removed commented code

Signed-off-by: Timo Heino <eraggo@gmail.com>

2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [9b54cbae02e513dca7fc9451a39ce24866dbc036]

ScRangePtr is now gone.  Good riddance.


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [0ef30cc1f331e3c708807205ac4f59662a72b16a]

Use for_each to format string for range list.


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [a4eb457a8d546525624df3830a761cb30d29b04e]

More on using iterators over element access operator.


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [5378b3f4e225fc9738678bcb7dbd253142b95358]

Access data member directly if we can.


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [f1519b3d153ec908267cecaa935b9c5e071e3c71]

BOOL to bool


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [a8ead55f1ce22efc72a31f888eb0582c962bbf71]

Use for_each & iterators to count the number of cells.


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [d33c4f78830ad1997659877980d1ca231fe9771b]

More on using iterators over manual loops.


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [b6b5b30e92681672d8dc8a3e40da2c0990129296]

Prefer to use iterators to for loop & element access via [].


2010-12-10  Kohei Yoshida  <kyoshida@novell.com>  [7e324d5bea53573347ca52fcfa1610a3be925c6e]

Some cleanup & build fix.

I need to export symbols of ScRangePairList as it is called from
the excel export filter.

2010-12-10  Muthu Subramanian K  <sumuthu@novell.com>  [af616d6d8bc5bf4888b51f6104795db570566a09]

XLSX VML Export fixes.

VML files have .vml (instead of .xml)

2010-12-10  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [da546a58cd85a96517500fe05057afc723ec0c84]

chart46: #i25706# implement date axis - switching to scatter or bubble


2010-12-10  Joseph Powers  <jpowers27@cox.net>  [bbd8580ba94a50590d0c02985024e55def2d1100]

Remove DECLARE_LIST( ScRangePairList )


2010-12-10  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [a207c9e13bf7935879c27662af06673cc0adb114]

chart46: #i25706# implement date axis - cleanup


2010-12-10  Thomas Benisch  <tbe@openoffice.org>  [1a42b24a92e20999cb88acc7c68b768aa29554d0]

#i116037# Don't toggle the calc formula bar when activating and deactivating a chart


2010-12-10  serval  <serval@ilapharm.com>  [f2ca08e1d28e07a673ca0af4d8fea5f9958d37ca]

Remove of the virtual function AppendContent


2010-12-09  Kohei Yoshida  <kyoshida@novell.com>  [3f20fb3ac89dab1042f406c0ce13ad2619eb3d5c]

Don't allow client code to call clear() directly, it leaks memory.

Call RemoveAll() instead.  Better yet, I've removed clear() call
as it's safer this way.

2010-12-09  Kohei Yoshida  <kyoshida@novell.com>  [89d7874983073ac173833dd7a0274796398a31c5]

More efficient Find() operations using iterators.


2010-12-09  Kohei Yoshida  <kyoshida@novell.com>  [8a600b22afc93ed767ccb7c9215d0c043def21a6]

Access maRanges directly when we can.


2010-12-09  Kohei Yoshida  <kyoshida@novell.com>  [9a6e58b21588070743d251e04cfc01450f58aec5]

First cut on making ScRangeList not a child class of std::vector.

Also fixed some memory leaks along the way.

2010-12-09  Kohei Yoshida  <kyoshida@novell.com>  [1e02a4be11be862e952c423ee6cf356b8330c824]

Suppressed compiler warnings.


2010-12-09  Kohei Yoshida  <kyoshida@novell.com>  [3d0d8fb2d8e31a5acd427c8dbc70854d0f938d6b]

Delete its objects before removing pointers.


2010-12-09  Joseph Powers  <jpowers27@cox.net>  [7a37b8be2239133a2a5df51285db93f22ed81c99]

Remove another DECLARE_LIST() from Calc

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2010-12-09  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [78ba4fee2a17e4195553f54dc183899fc12388f0]

chart46: #i25706# implement date axis - remove explicit scaling in case of auto


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [e4ff5c4c730c49dcc579c4cad1b15fc79d6af674]

cppcheck: the scope of these variables can be reduced


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [37894eda78210a2cf1e73c4c47409188a25f0913]

cppcheck: can reduce the scope of these variables


2010-12-09  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [11cbc80e0b032cfb23b2820d2353038d0fcdbed3]

vcl117: more HelpID cleanup


2010-12-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [6dbd02324e9620a888f41c953b535f463ad410ff]

mib19: rebase to DEV300m95


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [0b8c3840ff80a10eec0b8f7a11ff0d32bc19b13d]

Oops I forgot to pass the iterator position.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [1a5b8678c384cb3a152ea0c9714f8a5562e6002e]

More on micro-speed optimization on std::map insertion.

Cf. Effective STL, Item 24.

2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [ff67d07b5dfc0e77c3ec031b3f397aa7186e80b8]

Slightly more efficient insertion for std::map.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [2d7c40c11c745c3c8e63b6b90ee724038b574d9d]

More on killing use of operator[] with std::map.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [bc8e160caf6b3c5cd894463de66de2b85b46b45d]

Nuke more operator[] usage with std::map.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [52badc1805546470ba04ad55da4f2330d306fa36]

More operator[] usage removal with std::map.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [9fcede94160a82507beaec16a8c7405c9c117fe3]

Remove use of operator[] once again.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [f19bf80dd1d553d942a6f292c4d3535f2c1addb1]

Another removal of use of operator[] with std::map.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [8a72837f82e28c755e7895af13fdf8b0f256f336]

Removed another use of operator[] with std::map.


2010-12-08  Nigel Hawkins  <n.hawkins@gmx.com>  [d3a918eebcedcddf5ca139c04ecc833ac7305a51]

Replace one use of ScfRefMap

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [0634be519f45e746396e5696b88931ad73abcd12]

Avoid use of operator[] with std::map.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [bb6cfc590f5c6313abbfed37ce0553bad5fbf549]

Avoid using operator[] with std::map when inserting a new element.


2010-12-08  Kohei Yoshida  <kyoshida@novell.com>  [a0bdbcf6481ab9176a7c763284991887d00161ff]

Make the string 'New Record' localizable. (fdo#32209)

This string was hard-coded in the code to be always in English.  This
change makes it localizable.

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2010-12-08  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [49834d502c8481ca00eada7ce079a0f6a691033d]

gnumake2: resync to DEV300_m95


2010-12-08  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [c6d4bf0e169d75da33d9da33079b4ad9b07bce32]

chart46: #i25706# implement date axis - detect manual date formats + corrected drop range dialog


2010-12-08  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [334a8d3295824839c1b28a35fa4761e9348982f1]

chart46: #i25706# implement date axis - compiler warnings


2010-12-07  Kohei Yoshida  <kyoshida@novell.com>  [9e338f0677ab068e1bf792db11123b646938edbc]

Display correct record information in Data Form dialog. (fdo#32196)

I had accidentally removed the part that constructed correct string
to display.  Recovered it, and modified it to use OUStringBuffer
instead of sprintf to construct the string.

Signed-off-by: Norbert Thiebaud <nthiebaud@gmail.com>

2010-12-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [27fa1b6ab827266cdd7e6a584d513374f880f9c2]

chart46: #i25706# implement date axis - corrected stock charts


2010-12-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [2898371e00aac472b4c7522a2d71e1718ece3ac8]

chart46: #i25706# implement date axis - corrected error bars


2010-12-07  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e49bbf3ec64f9c6675efa894860aeaceadf162c9]

chart46: #i25706# implement date axis - corrected z-axis layout


2010-12-07  David Tardon  <dtardon@redhat.com>  [bcecf758a9382f248f4a72bcb0e8041ef2e4a1cb]

remove duplicate definition of memory pool for ImplTokenIterator

This is already done in formula/source/core/api/token.cxx !

2010-12-07  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [6279361668367426a360a24b2d9ad332ea58c143]

dr77: #i108420# SHEET spreadsheet function accepts empty parameter list


2010-12-06  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [c780873571a827989b6118afe60ac5f656b02ec6]

#i85310# better export of automatic base time unit


2010-12-06  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [5747cf4eaddb62b737e7abbc734d381177d1448e]

rebased to OOO330m17


2010-12-06  Michael Callahan  <callahan@xmission.com>  [872a7ba5ac2c19c03e558fb2ae52d0d8096edc35]

remove obsolete __FAR_DATA


2010-12-05  Takeshi Abe  <tabe@fixedpoint.jp>  [6689a8040414a4350198e134d2b71a199e946961]

Replace all occured, occurance etc.


2010-12-05  Caolán McNamara  <caolanm@redhat.com>  [09fdc8b6881204bd882253c88b9f80d4b033e9eb]

cppcheck: unused variable


2010-12-05  Caolán McNamara  <caolanm@redhat.com>  [8f5498c845a5faa981b6e914a15406285bb7293d]

WaE, shadowed variable names


2010-12-04  Joseph Powers  <jpowers27@cox.net>  [53701cb2f54887a09b6b63a258e8b73b096ca832]

Remove DECLARE_LIST( ScRTFDefaultList, ScRTFCellDefault* )


2010-12-04  Joseph Powers  <jpowers27@cox.net>  [1a0e4b8dc79e349ef3d5c7bfbcad26b262885b95]

Remove DECLARE_LIST( ScHTMLGraphList, ScHTMLGraphEntry* )


2010-12-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [9e8f29650d8ac94f0153d0836445673d443e7a88]

chart46: #i25706# implement date axis - compiler warnings


2010-12-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [3d7dc68a735749585ef6d529ea8da6209d3f661f]

chart46: #i25706# implement date axis - simplify axis access in chart api


2010-12-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [1e04a9ff55ed1594029223c43754e8afbb31b7d2]

chart46: #i25706# implement date axis - correct axis layout


2010-12-03  Caolán McNamara  <caolanm@redhat.com>  [2db4aba5f6732b244d7e706f43b17c7ff09ce487]

WaE, shadowed variables


2010-12-03  Caolán McNamara  <caolanm@redhat.com>  [2eaa2ed77e733edeb04e742c64d57ff5685f9f43]

WaE, shadowed variables


2010-12-03  Joseph Powers  <jpowers27@cox.net>  [da35b3b3a1198d3e8094858b8bcadb9affe8756f]

Remove DECLARE_LIST( ScEEParseList, ScEEParseEntry* ) from ScEEParser


2010-12-03  Kenneth Venken  <kenneth.venken@gmail.com>  [d22003bb253ec337f22c1fcbaa317c428b7891c8]

more Sal n elements


2010-12-03  Caolán McNamara  <caolanm@redhat.com>  [a5b4996e4905d927773dc74f73e5b295b1120892]

WaE: ptr_vector ctor takes a size to reserve, not a pointer


2010-12-02  Joseph Powers  <jpowers27@cox.net>  [ac4be889852afced21bd15ca8d28559b0e2dc8a3]

Fix another mistake in my patch

Hopefully this is the last fix.

2010-12-02  Joseph Powers  <jpowers27@cox.net>  [a8caaa5b0db0e4a5dac31d7be918e44b81e07c81]

Fix "Remove DECLARE_LIST() from class ScDocument"

Fixes some issues with commit 95b419dfeea83549ed021d9b1ccc0da0649779ab.

2010-12-02  Kohei Yoshida  <kyoshida@novell.com>  [ce1bb2d741b913c372755778e12b682b3b21c469]

Moved new wrapper class into own files.


2010-12-02  Kohei Yoshida  <kyoshida@novell.com>  [fe1a7205afe9cf1f19f50937864a4be5c456ccef]

Refactored to avoid using CR_HIDDEN and CR_FILTERED.

CR_HIDDEN and CR_FILTERED as row attributes are deprecated; we
should eliminate all instances of their usage ASAP.

2010-12-02  Kohei Yoshida  <kyoshida@novell.com>  [83ebe9699eb77cdd9cb61d43041435f364cb7be1]

Cache field style index for current range for better performance.

This cuts about 3 seconds off with my test document.

2010-12-02  Kohei Yoshida  <kyoshida@novell.com>  [8ad4dae2cef16c1525b5296c71626a5f4c45e68e]

Replaced the inner vector with flat_segment_tree.

This dramatically reduced memory footprint per sheet during export
to ods.  With my test doc with 293 sheets, the resident memory size
dropped from 1.4 GB to 270 MB.

2010-12-02  Kohei Yoshida  <kyoshida@novell.com>  [9e867a01bb326e96e0e383cd023fe37f0a1776ae]

Replaced std::vector with boost::ptr_vector.

Nested std::vector does excessive copying of inner vector instances
behind the scene.  Using ptr_vector to store the pointers to the
inner vector instances avoids that.  Doing this alone cuts memory
footprint per sheet when exporting document to .ods file.

2010-12-02  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [07569ccc72933e09be892559fb63cc8656fcf928]

chart46: #i85310# support for chart date axes in Excel filters: BIFF8 import/export, OOXML import


2010-12-02  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [f8ff40e3170c46a7b8318e33f80781b9e0c8d7e2]

chart46: #i25706# implement date axis - correct helpid


2010-12-02  Caolán McNamara  <caolanm@redhat.com>  [529ffd49f8ef6707a96b45ca37015051ac80508f]

WaE, fix member init list


2010-12-01  Joseph Powers  <jpowers27@cox.net>  [8984dcc9a6cf0cb2fb97f70826d2fcf8ff94968a]

Remove DECLARE_LIST( ScHTMLImageList, ScHTMLImage* ) from eeparser.hxx

This is the 1st of 2 DECLARE_LIST()s in the file.

2010-12-01  Joseph Powers  <jpowers27@cox.net>  [95b419dfeea83549ed021d9b1ccc0da0649779ab]

Remove DECLARE_LIST() from class ScDocument

The list wasn't needed. You could only have 1 item in the list at any one
time; so, I just replaced it with a pointer.

2010-12-01  Joseph Powers  <jpowers27@cox.net>  [4ba62b896932756861024843c89e96eb92a55ce6]

remove a compiler warning

The compiler was thinking that you could get to the end without a return.
It was wrong... but this will shut it up.

2010-12-01  Caolán McNamara  <caolanm@redhat.com>  [5277dc2fececdf08b9a4d5843443596e35e906fc]

cppunit: rearrange to get count of tests in output


2010-12-01  Caolán McNamara  <caolanm@redhat.com>  [77eb7b412b66519584792d7f319c8c50fe3bc455]

cppunit: add a simple NamedRange test


2010-12-01  Caolán McNamara  <caolanm@redhat.com>  [be795152446b34ac313b2b53ab246833bf7ca76f]

cppcheck: can reduce the scope of this variable


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [7dc09f19bc5c182ebabb52482db10f828882aad0]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-12-01  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [2e63d9bb4b692abef432c3277f7a0f0b0f182414]

chart46: #i25706# implement date axis - switching to net chart


2010-12-01  David Tardon  <dtardon@redhat.com>  [b89e8ff568d0a0b518b49839789c3a73a9c73d60]

Resolves: rhbz#658304 late-init color config. to avoid crash on recovery


2010-12-01  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [3ade2e05d326cd93ea4c036e4366b63569a336da]

chart46: #i25706# implement date axis - corrected automatic scaling


2010-11-30  Caolán McNamara  <caolanm@redhat.com>  [e6db09f0f43c7305f1855eb3422f5cb98b8d6400]

Fix incorrect merge conflict.  This fixes fdo#32002.


